Adium

Opened 9 years ago

Closed 8 years ago

Last modified 8 years ago

#14294 closed crash (fixed)

Crash related to proxied AIListObjects

Reported by: teh1ghool Owned by: evands
Milestone: Adium 1.4.3 Component: Adium Core
Version: 1.4 Severity: major
Keywords: Cc:
Patch Status:

Description

Summary

Adium crashes after quite a few hours of being on.

Steps to reproduce

Keep adium logged in for a while

Expected results

Adium should not crash

Actual results

Adium crashed

Regression

Problem apparent since updating from b18 to b19

Notes

Crash log below

If you're pasting any kind of plain text, wrap it in "code blocks" like so:

Process:         Adium [50363]
Path:            /Applications/Adium.app/Contents/MacOS/Adium
Identifier:      com.adiumX.adiumX
Version:         1.4b19 (1.4b19)
Code Type:       X86 (Native)
Parent Process:  launchd [145]

Date/Time:       2010-09-20 15:11:19.158 -0700
OS Version:      Mac OS X 10.6.4 (10F569)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000020
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Application Specific Information:
objc_msgSend() selector name: listObject


Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libobjc.A.dylib               	0x9480aed7 objc_msgSend + 23
1   com.apple.AppKit              	0x91871fc0 -[NSOutlineView _dataSourceIsItemExpandable:] + 125
2   com.apple.AppKit              	0x91871e59 loadItemEntryLazyInfoIfNecessary + 626
3   com.apple.AppKit              	0x91873795 -[NSOutlineView itemAtRow:] + 78
4   com.apple.AppKit              	0x918735ba -[NSOutlineView _sendDelegateHeightOfRow:] + 58
5   com.apple.AppKit              	0x91873454 -[NSTableView _uncachedRectHeightOfRow:] + 75
6   com.apple.AppKit              	0x9187334e -[_NSTableRowHeightStorage _cacheRowHeightsIntoBucket:bucketFirstRowIndex:lastCacheableRowIndex:] + 102
7   com.apple.AppKit              	0x9187328a -[_NSTableRowHeightStorage createAndCacheRowHeightSumsIfNecessary] + 354
8   com.apple.AppKit              	0x9187311d -[_NSTableRowHeightStorage computeTableHeight] + 39
9   com.apple.AppKit              	0x9185c751 -[NSTableView _minimumFrameSize] + 72
10  com.apple.AppKit              	0x91866cfc -[NSTableView tile] + 252
11  com.apple.AppKit              	0x9189dd4e -[NSTableView viewWillDraw] + 75
12  com.apple.AppKit              	0x9189d862 -[NSView viewWillDraw] + 621
13  com.apple.AppKit              	0x9189d862 -[NSView viewWillDraw] + 621
14  com.apple.AppKit              	0x9189d862 -[NSView viewWillDraw] + 621
15  com.apple.AppKit              	0x9189d862 -[NSView viewWillDraw] + 621
16  com.apple.AppKit              	0x9189d862 -[NSView viewWillDraw] + 621
17  com.apple.AppKit              	0x9189d862 -[NSView viewWillDraw] + 621
18  com.apple.AppKit              	0x9189ce35 -[NSView _sendViewWillDrawInRect:clipRootView:suppressRecursion:] + 1290
19  com.apple.AppKit              	0x917ffd02 -[NSView displayIfNeeded] + 757
20  com.apple.AppKit              	0x917c9050 -[NSWindow displayIfNeeded] + 204
21  com.apple.AppKit              	0x917fa572 _handleWindowNeedsDisplay + 696
22  com.apple.CoreFoundation      	0x907d32c2 __CFRunLoopDoObservers + 1186
23  com.apple.CoreFoundation      	0x9078f9bd __CFRunLoopRun + 557
24  com.apple.CoreFoundation      	0x9078f094 CFRunLoopRunSpecific + 452
25  com.apple.CoreFoundation      	0x9078eec1 CFRunLoopRunInMode + 97
26  com.apple.AppKit              	0x918daca4 _NSUnhighlightCarbonMenu + 127
27  com.apple.AppKit              	0x9180ead2 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 190
28  com.apple.AppKit              	0x9190a603 -[NSMenu _performActionWithHighlightingForItemAtIndex:] + 49
29  com.apple.AppKit              	0x91909daf -[NSMenu performKeyEquivalent:] + 314
30  com.apple.AppKit              	0x91908553 -[NSApplication _handleKeyEquivalent:] + 581
31  com.apple.AppKit              	0x917fe4da -[NSApplication sendEvent:] + 4858
32  com.apple.AppKit              	0x917925bb -[NSApplication run] + 917
33  com.apple.AppKit              	0x9178a5ed NSApplicationMain + 574
34  com.adiumX.adiumX             	0x0000351a start + 54

Thread 1:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x97e90942 kevent + 10
1   libSystem.B.dylib             	0x97e9105c _dispatch_mgr_invoke + 215
2   libSystem.B.dylib             	0x97e90519 _dispatch_queue_invoke + 163
3   libSystem.B.dylib             	0x97e902be _dispatch_worker_thread2 + 240
4   libSystem.B.dylib             	0x97e8fd41 _pthread_wqthread + 390
5   libSystem.B.dylib             	0x97e8fb86 start_wqthread + 30

Thread 2:
0   libSystem.B.dylib             	0x97e89086 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x907cf80d __CFSocketManager + 1085
2   libSystem.B.dylib             	0x97e9781d _pthread_start + 345
3   libSystem.B.dylib             	0x97e976a2 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x97e6a15a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x97e97ca5 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x97ec6848 pthread_cond_timedwait_relative_np + 47
3   ...ple.CoreServices.CarbonCore	0x937c73b5 TSWaitOnConditionTimedRelative + 242
4   ...ple.CoreServices.CarbonCore	0x937c70f3 TSWaitOnSemaphoreCommon + 511
5   ...ickTimeComponents.component	0x927e78bd ReadSchedulerThreadEntryPoint + 4698
6   libSystem.B.dylib             	0x97e9781d _pthread_start + 345
7   libSystem.B.dylib             	0x97e976a2 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x97e6a136 semaphore_wait_trap + 10
1   ...ickTimeComponents.component	0x92eacfaa QTThreadWaitSignal + 107
2   ...ickTimeComponents.component	0x92871bfd audioprepThreadEntry + 68
3   ...ickTimeComponents.component	0x92eacf24 start_thread + 54
4   libSystem.B.dylib             	0x97e9781d _pthread_start + 345
5   libSystem.B.dylib             	0x97e976a2 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x97e6a0fa mach_msg_trap + 10
1   libSystem.B.dylib             	0x97e6a867 mach_msg + 68
2   com.apple.CoreFoundation      	0x9078ffaf __CFRunLoopRun + 2079
3   com.apple.CoreFoundation      	0x9078f094 CFRunLoopRunSpecific + 452
4   com.apple.CoreFoundation      	0x9078eec1 CFRunLoopRunInMode + 97
5   com.apple.Foundation          	0x9607642c +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 329
6   com.apple.Foundation          	0x9603d8d4 -[NSThread main] + 45
7   com.apple.Foundation          	0x9603d884 __NSThread__main__ + 1499
8   libSystem.B.dylib             	0x97e9781d _pthread_start + 345
9   libSystem.B.dylib             	0x97e976a2 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x97e8f9d2 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x97e8ff68 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x97e8fb86 start_wqthread + 30

Thread 7:
0   libSystem.B.dylib             	0x97e8f9d2 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x97e8ff68 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x97e8fb86 start_wqthread + 30

Thread 8:
0   libSystem.B.dylib             	0x97e8f9d2 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x97e8ff68 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x97e8fb86 start_wqthread + 30

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x1db0c8c0  ebx: 0x0049e8ce  ecx: 0x004eb9cc  edx: 0x00000000
  edi: 0x004eb9cc  esi: 0x1db0c8c0  ebp: 0xbfffdf28  esp: 0xbfffdef8
   ss: 0x0000001f  efl: 0x00010206  eip: 0x9480aed7   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x00000020

Binary Images:
    0x1000 -   0x19ffe7 +com.adiumX.adiumX 1.4b19 (1.4b19) <013EED71-12EB-B749-2A11-9FB9B8FB389C> /Applications/Adium.app/Contents/MacOS/Adium
  0x2d1000 -   0x316fe7 +AIUtilities ??? (???) <003232B7-37D6-F92E-7913-EFD13C7F10D3> /Applications/Adium.app/Contents/Frameworks/AIUtilities.framework/Versions/A/AIUtilities
  0x3a4000 -   0x3fbfe7 +com.adiumX.AdiumPurple ??? (1.0) <4E9D1F17-3636-168E-70FE-1622E9D09F03> /Applications/Adium.app/Contents/Frameworks/AdiumLibpurple.framework/Versions/A/AdiumLibpurple
  0x464000 -   0x4f5ff7 +Adium ??? (???) <90595779-FFBE-D118-A537-CA737413C921> /Applications/Adium.app/Contents/Frameworks/Adium.framework/Versions/A/Adium
  0x589000 -   0x660ff7 +com.googlepages.openspecies.rtool.libglib 2.0.0 (2.0.0) <C620AA58-CFC4-855E-1F2F-F84D9335CD5D> /Applications/Adium.app/Contents/Frameworks/libglib.framework/Versions/2.0.0/libglib
  0x68d000 -   0x68eff7 +com.googlepages.openspecies.rtool.libgmodule 2.0.0 (2.0.0) <11FF9396-454A-394B-1B12-D84AD535F6F6> /Applications/Adium.app/Contents/Frameworks/libgmodule.framework/Versions/2.0.0/libgmodule
  0x692000 -   0x6c8fe7 +com.googlepages.openspecies.rtool.libgobject 2.0.0 (2.0.0) <D69FB8D0-D271-EC20-42DD-04FCC65A72BF> /Applications/Adium.app/Contents/Frameworks/libgobject.framework/Versions/2.0.0/libgobject
  0x6de000 -   0x6e0ff7 +com.googlepages.openspecies.rtool.libgthread 2.0.0 (2.0.0) <5D4B8DC6-28E3-9285-8E2A-2D7A3CBE11C5> /Applications/Adium.app/Contents/Frameworks/libgthread.framework/Versions/2.0.0/libgthread
  0x6e4000 -   0x6eeff7 +com.googlepages.openspecies.rtool.libintl 8 (8) <343C9F94-8840-4465-64E4-86A0092AD69F> /Applications/Adium.app/Contents/Frameworks/libintl.framework/Versions/8/libintl
  0x6f3000 -   0x71bff7 +com.googlepages.openspecies.rtool.libmeanwhile 1 (1) <7B341D44-FA86-F7C3-E800-7D1169EB9CE2> /Applications/Adium.app/Contents/Frameworks/libmeanwhile.framework/Versions/1/libmeanwhile
  0x730000 -   0x95efe7 +libpurple 7.6.0 (compatibility 7.0.0) <261A29E5-EFA4-22F2-6A12-4115D87234E9> /Applications/Adium.app/Contents/Frameworks/libpurple.framework/Versions/0/libpurple
  0xa9e000 -   0xb53fe7  libcrypto.0.9.7.dylib 0.9.7 (compatibility 0.9.7) <0B69B1F5-3440-B0BF-957F-E0ADD49F13CB> /usr/lib/libcrypto.0.9.7.dylib
  0xb99000 -   0xba7ff7 +com.dpompa.fribidi ??? (1.0) <D4D1457D-AEF5-CD6F-252B-A698CACEBF1E> /Applications/Adium.app/Contents/Frameworks/FriBidi.framework/Versions/A/FriBidi
 0x23ad000 -  0x23bcfe7 +AutoHyperlinks ??? (???) <D82E7DC8-9399-577F-1248-9EEEBD2F0494> /Applications/Adium.app/Contents/Frameworks/AutoHyperlinks.framework/Versions/A/AutoHyperlinks
 0x23c2000 -  0x23ceff7 +net.brockerhoff.RBSplitView.Framework 1.1.4 (1.1.4) <66DF8C9D-532D-C139-A119-A5A8B78E5F44> /Applications/Adium.app/Contents/Frameworks/RBSplitView.framework/Versions/A/RBSplitView
 0x23d9000 -  0x23ecfff +org.andymatuschak.Sparkle 1.5 Beta (bzr) (340) <E0109DBE-F614-66D0-9B82-6151BC40DAD7> /Applications/Adium.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
 0x23fa000 -  0x244afef +com.adiumX.OTR ??? (1.0) <BAE9D6BD-60D5-B53B-19BC-C17287F55EE9> /Applications/Adium.app/Contents/Frameworks/OTR.framework/Versions/A/OTR
 0x2468000 -  0x246bff7 +org.boredzo.LMX ??? (1.0) <92632179-5CFB-EA6B-AAE7-5F4B98BF0CD9> /Applications/Adium.app/Contents/Frameworks/LMX.framework/Versions/A/LMX
 0x2471000 -  0x2478ff1 +net.oauth.OAuthConsumer ??? (0.1.1) <025882EC-04DA-763B-18F5-5266A5D185FD> /Applications/Adium.app/Contents/Frameworks/OAuthConsumer.framework/Versions/A/OAuthConsumer
 0x2483000 -  0x2493fe7 +com.googlepages.openspecies.rtool.libjson-glib 1.0.0 (1.0.0) <EEA02176-241C-AB9F-DE92-71EC0490ACE2> /Applications/Adium.app/Contents/Frameworks/libjson-glib.framework/Versions/1.0.0/libjson-glib
 0x24a3000 -  0x24a7ff7  libutil.dylib ??? (???) <2655E581-CDB0-584C-A903-5EA9757E9DBB> /usr/lib/libutil.dylib
 0x27f6000 -  0x27faff3  com.apple.audio.AudioIPCPlugIn 1.1.2 (1.1.2) <5570694E-039D-7970-6083-1C8A7B7C937B> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x168b6000 - 0x168bcffb  com.apple.audio.AppleHDAHALPlugIn 1.8.7 (1.8.7f1) <0FE8B697-6D19-69C6-FA94-E18064ACFAEC> /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x16946000 - 0x16963ff7 +com.jamsoft.Xblaze 1.1.1 (1) <597E4368-58F0-7221-A70C-EB1692E25AE4> /Users/rlaynepro/Library/Application Support/Adium 2.0/PlugIns/Xblaze.AdiumPlugin/Contents/MacOS/Xblaze
0x16d07000 - 0x16d09ff7  apop.so ??? (???) <B365DF5B-6A00-9595-27FF-4811B12B1C19> /usr/lib/sasl2/apop.so
0x16d35000 - 0x16d4bff7  dhx.so ??? (???) <B50D8278-4246-4086-E0AF-3CBE96AE9837> /usr/lib/sasl2/dhx.so
0x16d58000 - 0x16d61ff7  digestmd5WebDAV.so ??? (???) <FC8C0A3E-1BC3-5016-95E1-E7EF9FF37242> /usr/lib/sasl2/digestmd5WebDAV.so
0x16d66000 - 0x16d68ff7  libanonymous.2.so ??? (???) <05819305-67D7-5191-D6FF-FF5F0159C9C1> /usr/lib/sasl2/libanonymous.2.so
0x16d6c000 - 0x16d6eff7  libcrammd5.2.so ??? (???) <7498C0BB-25A8-C92A-C951-13261687976A> /usr/lib/sasl2/libcrammd5.2.so
0x16d72000 - 0x16d7aff7  libdigestmd5.2.so ??? (???) <30CE958A-C958-7D4C-4CBB-F095E2F60697> /usr/lib/sasl2/libdigestmd5.2.so
0x16d7f000 - 0x16d84ff7  libgssapiv2.2.so ??? (???) <329025EC-8635-8147-BFC2-0DB3575D7133> /usr/lib/sasl2/libgssapiv2.2.so
0x16d89000 - 0x16d8bff7  login.so ??? (???) <C911D8D7-F424-3AA5-6734-290785543BF0> /usr/lib/sasl2/login.so
0x16d8f000 - 0x16d94ff7  libntlm.so ??? (???) <326B72F5-0885-1984-3DDD-97DACE17B069> /usr/lib/sasl2/libntlm.so
0x16d99000 - 0x16da0ff7  libotp.2.so ??? (???) <6DDE9B5F-B581-BBF6-0FC1-3B45D37F09E5> /usr/lib/sasl2/libotp.2.so
0x16da7000 - 0x16da9ff7  libplain.2.so ??? (???) <AF53421C-6B6E-5EB0-D29F-45E0A663B823> /usr/lib/sasl2/libplain.2.so
0x16dad000 - 0x16db1ff7  libpps.so ??? (???) <C5A25A99-412E-AD7F-D6FD-C4CC07B7B2A5> /usr/lib/sasl2/libpps.so
0x16db6000 - 0x16db9ff7  mschapv2.so ??? (???) <34DFB657-5E2E-5B83-713B-F57ACFB1E091> /usr/lib/sasl2/mschapv2.so
0x16dbe000 - 0x16dc0ff7  shadow_auxprop.so ??? (???) <4073854F-B4C8-A0D4-C0FF-7A0C93BFC70E> /usr/lib/sasl2/shadow_auxprop.so
0x16dc5000 - 0x16dc7ff7  smb_lm.so ??? (???) <4B7A54D8-241D-CC8C-8759-4C7DC562369D> /usr/lib/sasl2/smb_lm.so
0x1700d000 - 0x17010ff7  smb_nt.so ??? (???) <7B7D31B1-10A1-1AE9-E323-C19A3C52DC03> /usr/lib/sasl2/smb_nt.so
0x17015000 - 0x17018ff7  smb_ntlmv2.so ??? (???) <3BFE5AA9-F215-36B5-E7D7-46BE1BFD63EA> /usr/lib/sasl2/smb_ntlmv2.so
0x170be000 - 0x170e1fe7  GLRendererFloat ??? (???) <D71788AA-645A-02CF-201F-E44F073F98D7> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
0x17511000 - 0x17514fef  com.apple.LiveType.component 2.1.3 (2.1.3) /Library/QuickTime/LiveType.component/Contents/MacOS/LiveType
0x1793a000 - 0x17ab1fe7  GLEngine ??? (???) <0FC1F7CA-5C84-A7F6-105B-169383B50A94> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x17ae3000 - 0x17ee8fe7  libclh.dylib 3.1.1 C  (3.1.1) <4A445142-1AD3-2F3C-FF95-E835B49B33DE> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib
0x1e80b000 - 0x1e80eff3 +com.divx.divxtoolkit 1.0 (1.0) /Library/Frameworks/DivX Toolkit.framework/Versions/A/DivX Toolkit
0x1f0b5000 - 0x1f11afde  com.apple.LiveType.framework 2.1.3 (2.1.3) /System/Library/PrivateFrameworks/LiveType.framework/Versions/A/LiveType
0x1f13a000 - 0x1f18ffdf +com.DivXInc.DivXDecoder 6.8.3.5 (6.8.3.5) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x1f1bd000 - 0x1f203fc3  com.apple.motion.component 1.0 (1.0) <77973A13-4E79-426F-853F-2318E52A2207> /Library/QuickTime/Motion.component/Contents/MacOS/Motion
0x1f209000 - 0x1f20c02f  Motion ??? (???) <B5E862EE-E0FF-4F86-A789-98E3E601A18C> /Library/Frameworks/Motion.framework/Versions/A/Motion
0x70000000 - 0x700caffb  com.apple.audio.units.Components 1.6.1 (1.6.1) <AEC44B68-A209-4093-36B0-7B740361249B> /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8f050000 - 0x8f711fef  com.apple.GeForceGLDriver 1.6.18 (6.1.8) <2E4BD283-8E9B-6AB7-2945-F92F5015DA02> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
0x8fe00000 - 0x8fe4162b  dyld 132.1 (???) <A4F6ADCC-6448-37B4-ED6C-ABB2CD06F448> /usr/lib/dyld
0x90003000 - 0x90003ff7  com.apple.quartzframework 1.5 (1.5) <CEB78F00-C5B2-3B3F-BF70-DD6D578719C0> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x900ab000 - 0x9030ffef  com.apple.security 6.1.1 (37594) <3F68A006-6B30-85D5-1A75-8D748F72A6D5> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x90310000 - 0x90313fe7  libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0) <1622A54F-1A98-2CBE-B6A4-2122981A500E> /usr/lib/system/libmathCommon.A.dylib
0x90314000 - 0x9031fff7  libGL.dylib ??? (???) <B87E0676-F5EF-8DA3-6DEE-13C43B3832A7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x90320000 - 0x90362ff7  libvDSP.dylib 268.0.1 (compatibility 1.0.0) <3F0ED200-741B-4E27-B89F-634B131F5E9E> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x90396000 - 0x903a7ff7  com.apple.LangAnalysis 1.6.6 (1.6.6) <97511CC7-FE23-5AC3-2EE2-B5479FAEB316> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x903a8000 - 0x904d4ffb  com.apple.MediaToolbox 0.484.11 (484.11) <B93B175A-2039-2FD2-FBE4-22C9F8C9E223> /System/Library/PrivateFrameworks/MediaToolbox.framework/Versions/A/MediaToolbox
0x904d5000 - 0x90518ff7  com.apple.NavigationServices 3.5.4 (182) <753B8906-06C0-3AE0-3D6A-8FF5AC18ED12> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x90519000 - 0x906f4ff3  libType1Scaler.dylib ??? (???) <6FBA8250-3271-6ED4-052D-E27C2136E38F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x90753000 - 0x908cdfe3  com.apple.CoreFoundation 6.6.3 (550.29) <00373783-3744-F47D-2191-BEEA658F0C3D> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x908fb000 - 0x9093cff7  libRIP.A.dylib 543.50.0 (compatibility 64.0.0) <8BAE1FC1-A478-F151-17C7-2D5DE470AC4F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9093d000 - 0x9094bff7  com.apple.opengl 1.6.9 (1.6.9) <4F06C166-00CF-5ACF-77E3-5A960A5E8AD3> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9094c000 - 0x90a8ffef  com.apple.QTKit 7.6.6 (1742) <98ECA8E3-73F0-D21B-8B7E-8FE651E29A7F> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x90ab7000 - 0x90c71fe3  com.apple.ImageIO.framework 3.0.3 (3.0.3) <A93A514B-C1BF-21D0-FB03-CB775DE4FFAA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x90db8000 - 0x90dbcff7  IOSurface ??? (???) <66E11D8E-CF4B-EFD0-37F9-20177C647021> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x90dc8000 - 0x90dcaff7  com.apple.securityhi 4.0 (36638) <38D36D4D-C798-6ACE-5FA8-5C001993AD6B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x90dcb000 - 0x90dd1ff7  com.apple.DisplayServicesFW 2.2.2 (251) <6E4020F6-4DD0-F137-F226-F396807E3C3B> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x90dd2000 - 0x90dd2ff7  liblangid.dylib ??? (???) <B99607FC-5646-32C8-2C16-AFB5EA9097C2> /usr/lib/liblangid.dylib
0x90dd3000 - 0x91181fe3  com.apple.RawCamera.bundle 3.3.0 (533) <05A38D21-8556-434C-8BAA-850A6EC99B37> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x91182000 - 0x9122bff7  com.apple.CFNetwork 454.9.8 (454.9.8) <DB2A5C33-E833-1B3A-4DE0-5FF172B2048B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9122c000 - 0x9122cff7  com.apple.Accelerate.vecLib 3.6 (vecLib 3.6) <1DEC639C-173D-F808-DE0D-4070CC6F5BC7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9122d000 - 0x91321ff7  libiconv.2.dylib 7.0.0 (compatibility 7.0.0) <9EC28185-D26F-533F-90C4-FBAA13A15947> /usr/lib/libiconv.2.dylib
0x91429000 - 0x91439ff7  com.apple.DSObjCWrappers.Framework 10.6 (134) <81A0B409-3906-A98F-CA9B-A49E75007495> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x9143a000 - 0x9146bff7  libGLImage.dylib ??? (???) <9340012D-595A-6243-9C97-7D30D76D9D9E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9146c000 - 0x9147eff7  com.apple.MultitouchSupport.framework 205.34 (205.34) <813475E3-B323-9405-F758-DDA1F5D63B20> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x9147f000 - 0x9147fff7  com.apple.CoreServices 44 (44) <AC35D112-5FB9-9C8C-6189-5F5945072375> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x91480000 - 0x914b8ff7  libcups.2.dylib 2.8.0 (compatibility 2.0.0) <76C02F5C-98FD-BD64-B5FB-C698FB76EA25> /usr/lib/libcups.2.dylib
0x91509000 - 0x9152ffff  com.apple.DictionaryServices 1.1.1 (1.1.1) <02709230-9B37-C743-6E27-3FCFD18211F8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x91571000 - 0x9157bff7  com.apple.HelpData 2.0.4 (34) <9128FFEB-0F6C-B273-FCF4-D87A20227345> /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x91595000 - 0x915a9fe7  libbsm.0.dylib ??? (???) <14CB053A-7C47-96DA-E415-0906BA1B78C9> /usr/lib/libbsm.0.dylib
0x915aa000 - 0x91618ff7  com.apple.QuickLookUIFramework 2.2 (327.4) <5B6A066B-B867-D3A3-BDEE-3D68FA5385B4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x9177a000 - 0x91787ff7  com.apple.NetFS 3.2.1 (3.2.1) <5E61A00B-FA16-9D99-A064-47BDC5BC9A2B> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x91788000 - 0x92068ff7  com.apple.AppKit 6.6.6 (1038.29) <6F28C335-6DC2-AE0E-B79A-F256DBD0BB45> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x92069000 - 0x92119ff3  com.apple.ColorSync 4.6.3 (4.6.3) <AA1076EA-7665-3005-A837-B661260DBE54> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9211a000 - 0x9216bff7  com.apple.HIServices 1.8.0 (???) <10C85B88-C6AF-91DB-2546-34661BA35AC5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9216c000 - 0x92171ff7  com.apple.OpenDirectory 10.6 (10.6) <92582807-E8F3-3DD9-EB42-4195CFB754A1> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x92172000 - 0x9220afe7  edu.mit.Kerberos 6.5.10 (6.5.10) <8B83AFF3-C074-E47C-4BD0-4546EED0D1BC> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x9220b000 - 0x9220cff7  com.apple.audio.units.AudioUnit 1.6.3 (1.6.3) <959DFFAE-A06B-7FF6-B713-B2076893EBBD> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x9220d000 - 0x9220eff7  com.apple.MonitorPanelFramework 1.3.0 (1.3.0) <0EC4EEFF-477E-908E-6F21-ED2C973846A4> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x9222e000 - 0x9317efe3  com.apple.QuickTimeComponents.component 7.6.6 (1742) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x9317f000 - 0x933aaff3  com.apple.QuartzComposer 4.1 (156.16) <578A1842-8B62-00BF-B2E8-4C0AA8E6A938> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x9350c000 - 0x93559feb  com.apple.DirectoryService.PasswordServerFramework 6.0 (6.0) <BF66BA5D-BBC8-78A5-DBE2-F9DE3DD1D775> /System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer
0x9355a000 - 0x93608ff3  com.apple.ink.framework 1.3.3 (107) <57B54F6F-CE35-D546-C7EC-DBC5FDC79938> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x93609000 - 0x9360fff7  libCGXCoreImage.A.dylib 543.50.0 (compatibility 64.0.0) <94F66BA6-A4E8-63A4-1B70-EFAA4C75D668> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x93610000 - 0x936e1fe3  ColorSyncDeprecated.dylib 4.6.0 (compatibility 1.0.0) <8FDB4C40-D453-DA53-2A66-9A53998AB23C> /System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
0x936e2000 - 0x9377ffe3  com.apple.LaunchServices 362.1 (362.1) <885D8567-9E40-0105-20BC-42C7FF657583> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x93780000 - 0x93aa0feb  com.apple.CoreServices.CarbonCore 861.13 (861.13) <52803668-3669-36BD-57DD-078FBA835081> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x93bda000 - 0x93be4fe7  com.apple.audio.SoundManager 3.9.3 (3.9.3) <5F494955-7290-2D91-DA94-44B590191771> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93be5000 - 0x93c2efe7  libTIFF.dylib ??? (???) <9CFF48CC-4852-4D06-17AC-3C947C824159> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x93c2f000 - 0x93c89fe7  com.apple.CorePDF 1.3 (1.3) <696ADD5F-C038-A63B-4732-82E4109379D7> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
0x93cd2000 - 0x93d36ffb  com.apple.htmlrendering 72 (1.1.4) <4D451A35-FAB6-1288-71F6-F24A4B6E2371> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93d37000 - 0x94526557  com.apple.CoreGraphics 1.545.0 (???) <DCED8E1A-7504-C31A-B6EF-98BFF1A61060> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x94527000 - 0x94636fe7  com.apple.WebKit 6533.17 (6533.17.8) <7489BF63-4075-335A-93DE-878547A7A4B2> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x94637000 - 0x946c9fe3  com.apple.print.framework.PrintCore 6.2 (312.5) <7729B4D7-D661-D669-FA7E-510F93F685A6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x946ca000 - 0x94739ff7  libvMisc.dylib 268.0.1 (compatibility 1.0.0) <2FC2178F-FEF9-6E3F-3289-A6307B1A154C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x94748000 - 0x947bfff3  com.apple.backup.framework 1.2.2 (1.2.2) <FE4C6311-EA63-15F4-2CF7-04CF7734F434> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x947c0000 - 0x94800ff3  com.apple.securityinterface 4.0.1 (37214) <BBC88C96-8827-91DC-0CF6-7CB639183395> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x94801000 - 0x94804ff7  libCGXType.A.dylib 543.50.0 (compatibility 64.0.0) <3B49AED9-0DBA-9D21-F9AC-8784363AD762> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x94805000 - 0x948b2fe7  libobjc.A.dylib 227.0.0 (compatibility 1.0.0) <DF8E4CFA-3719-3415-0BF1-E8C5E561C3B1> /usr/lib/libobjc.A.dylib
0x948b3000 - 0x948c7ffb  com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <57DD5458-4F24-DA7D-0927-C3321A65D743> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x94909000 - 0x9490aff7  com.apple.TrustEvaluationAgent 1.1 (1) <6C04C4C5-667E-2EBE-EB96-5B67BD4B2185> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x9490b000 - 0x94aedfff  com.apple.imageKit 2.0.3 (1.0) <BF2ECA4D-FCD8-AD5D-E100-22370F2C7EE0> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x94aee000 - 0x94b03fff  com.apple.ImageCapture 6.0 (6.0) <3F31833A-38A9-444E-02B7-17619CA6F2A0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x94b04000 - 0x94b25fe7  com.apple.opencl 12.1 (12.1) <DA2AC3FA-ED11-2D10-21E9-7BDF4778B228> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x94b26000 - 0x94bf0fef  com.apple.CoreServices.OSServices 357 (357) <CF9530AD-F581-B831-09B6-16D9F9283BFA> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x94bf1000 - 0x94c4cff7  com.apple.framework.IOKit 2.0 (???) <A013B850-6ECB-594A-CBD6-DB156B11871B> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x94c4d000 - 0x94e44feb  com.apple.JavaScriptCore 6533.17 (6533.17.6) <A88FBEE4-D53E-E865-B70E-7C01E75330E4> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x94e45000 - 0x94eedffb  com.apple.QD 3.35 (???) <B80B64BC-958B-DA9E-50F9-D7E8333CC5A2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x94eee000 - 0x95323ff7  libLAPACK.dylib 219.0.0 (compatibility 1.0.0) <5E2D2283-57DE-9A49-1DB0-CD027FEFA6C2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x95324000 - 0x95426fef  com.apple.MeshKitIO 1.1 (49.2) <34322CDD-E67E-318A-F03A-A3DD05201046> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/Frameworks/MeshKitIO.framework/Versions/A/MeshKitIO
0x95603000 - 0x9563bff7  com.apple.LDAPFramework 2.0 (120.1) <001A70A8-3984-8E19-77A8-758893CC128C> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x9563c000 - 0x95af5ffb  com.apple.VideoToolbox 0.484.11 (484.11) <6AB58081-F7C4-46F9-2C05-CFED9E38F0A0> /System/Library/PrivateFrameworks/VideoToolbox.framework/Versions/A/VideoToolbox
0x95ba1000 - 0x95bd2ff3  libTrueTypeScaler.dylib ??? (???) <7601D717-236D-8F4E-91F5-E69BB2920478> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x95bd3000 - 0x95bdeff7  libCSync.A.dylib 543.50.0 (compatibility 64.0.0) <4FA0CE4A-BDE5-0E3D-37F0-03B41F0C2637> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x95bdf000 - 0x95c12ff7  com.apple.AE 496.4 (496.4) <7F34EC47-8429-3077-8158-54F5EA908C66> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x95c13000 - 0x95c7dfe7  libstdc++.6.dylib 7.9.0 (compatibility 7.0.0) <411D87F4-B7E1-44EB-F201-F8B4F9227213> /usr/lib/libstdc++.6.dylib
0x95c7e000 - 0x95c7eff7  com.apple.vecLib 3.6 (vecLib 3.6) <7362077A-890F-3AEF-A8AB-22247B10E106> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x95cf8000 - 0x95ff1fef  com.apple.QuickTime 7.6.6 (1742) <89720F2A-F33B-FF09-3D81-F9F25A99F3EB> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x95ff2000 - 0x96026ff7  libssl.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <0B900F26-51C1-7639-346F-24B080AEDAF3> /usr/lib/libssl.0.9.8.dylib
0x96027000 - 0x96297ffb  com.apple.Foundation 6.6.3 (751.29) <E77D3906-99F4-FEF4-FBB0-86FB3C94073E> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x96298000 - 0x962c2ff7  com.apple.shortcut 1.1 (1.1) <B0514FA9-7CAE-AD94-93CA-7B2A2C5F7B8A> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x962c3000 - 0x9635eff7  com.apple.ApplicationServices.ATS 275.11.1 (???) <5FF65EC7-F512-530A-7771-3DE240EE6E43> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9635f000 - 0x96daaff7  com.apple.WebCore 6533.17 (6533.17.8) <CB22435A-3FAC-EAE2-3CF1-FB9D79635637> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x96df2000 - 0x96e6afef  com.apple.AppleVAFramework 4.9.20 (4.9.20) <D8B544CB-9E32-81C2-59BD-C5DDB66DA621> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x97162000 - 0x9723fff7  com.apple.vImage 4.0 (4.0) <64597E4B-F144-DBB3-F428-0EC3D9A1219E> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x97240000 - 0x97240ff7  com.apple.ApplicationServices 38 (38) <8012B504-3D83-BFBB-DA65-065E061CFE03> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x97241000 - 0x97280ff7  com.apple.ImageCaptureCore 1.0.2 (1.0.2) <18E338B0-D82E-2ADC-FB9E-8909E765C41B> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
0x97281000 - 0x973affe7  com.apple.CoreData 102.1 (251) <E6A457F0-A0A3-32CD-6C69-6286E7C0F063> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x973b0000 - 0x973b0ff7  com.apple.Accelerate 1.6 (Accelerate 1.6) <BC501C9F-7C20-961A-B135-0A457667D03C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x973b1000 - 0x973b4ff7  libCoreVMClient.dylib ??? (???) <CA0BA8DC-0159-A808-A300-750358A6970C> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x973b5000 - 0x973f0feb  libFontRegistry.dylib ??? (???) <A102F61F-25D5-001A-20C3-56304C585072> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x9740a000 - 0x97820ff7  libBLAS.dylib 219.0.0 (compatibility 1.0.0) <C4FB303A-DB4D-F9E8-181C-129585E59603> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x97821000 - 0x9785eff7  com.apple.CoreMedia 0.484.11 (484.11) <0346F9E5-AEFE-B751-7D85-88D156C01385> /System/Library/PrivateFrameworks/CoreMedia.framework/Versions/A/CoreMedia
0x9785f000 - 0x978c0fe7  com.apple.CoreText 3.1.0 (???) <1372DABE-F183-DD03-03C2-64B2464A4FD5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x97903000 - 0x97949ffb  com.apple.CoreMediaIOServices 130.0 (1035) <F5E6F93D-6844-9FD7-8769-44503DFD5363> /System/Library/PrivateFrameworks/CoreMediaIOServices.framework/Versions/A/CoreMediaIOServices
0x9794a000 - 0x97972ff7  libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <769EF4B2-C1AD-73D5-AAAD-1564DAEA77AF> /usr/lib/libxslt.1.dylib
0x97a6f000 - 0x97b25ffb  libFontParser.dylib ??? (???) <067DC1A2-764B-41EA-B07E-4205472749B7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x97b26000 - 0x97c32ff7  libGLProgrammability.dylib ??? (???) <1B315838-F477-5416-7504-67EC3433AD4A> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x97c62000 - 0x97c64ff7  libRadiance.dylib ??? (???) <AB06F616-E3EA-5966-029A-8AA44BBE5B28> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x97da9000 - 0x97dcdff7  libJPEG.dylib ??? (???) <5CE96981-6B2A-D15B-4A17-E7BD329095B6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x97ddc000 - 0x97e22ff7  libauto.dylib ??? (???) <85670A64-3B67-8162-D441-D8E0BE15CA94> /usr/lib/libauto.dylib
0x97e2b000 - 0x97e37ff7  libkxld.dylib ??? (???) <322A4B52-8305-3081-6B74-813C3A87A56D> /usr/lib/system/libkxld.dylib
0x97e4c000 - 0x97e68fe3  com.apple.openscripting 1.3.1 (???) <DA16DE48-59F4-C94B-EBE3-7FAF772211A2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x97e69000 - 0x9800ffeb  libSystem.B.dylib 125.2.0 (compatibility 1.0.0) <3441F338-2218-6D36-3F95-3A16FBF6713D> /usr/lib/libSystem.B.dylib
0x98015000 - 0x98030ff7  libPng.dylib ??? (???) <36A3D75E-5178-4358-7F02-444E276D61AD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x9803e000 - 0x980c0ffb  SecurityFoundation ??? (???) <3670AE8B-06DA-C447-EB14-79423DB9C474> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x980c1000 - 0x980c1ff7  com.apple.Cocoa 6.6 (???) <EA27B428-5904-B00B-397A-185588698BCC> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x980c2000 - 0x981f9ff7  com.apple.CoreAUC 6.04.01 (6.04.01) <B6E035A9-8DA2-82FC-9C2F-F57B9B62BE5F> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x981fa000 - 0x98562ff7  com.apple.QuartzCore 1.6.2 (227.22) <4288F0D2-0C87-F054-C372-8764B44DE024> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x98563000 - 0x9856aff3  com.apple.print.framework.Print 6.1 (237.1) <97AB70B6-C653-212F-CFD3-E3816D0F5C22> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9856b000 - 0x98575ffb  com.apple.speech.recognition.framework 3.11.1 (3.11.1) <EC0E69C8-A121-70E8-43CF-E6FC4C7779EC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x98576000 - 0x9862ffe7  libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <16CEF8E8-8C9A-94CD-EF5D-05477844C005> /usr/lib/libsqlite3.dylib
0x9866a000 - 0x98678fe7  libz.1.dylib 1.2.3 (compatibility 1.0.0) <3CE8AA79-F077-F1B0-A039-9103A4A02E92> /usr/lib/libz.1.dylib
0x986b2000 - 0x986d0ff7  com.apple.CoreVideo 1.6.1 (45.4) <E0DF044D-BF31-42CE-B690-FD1FCE07E64A> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x986e4000 - 0x98866fe7  libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <2314BD12-0821-75BB-F3BC-98D324CFD30A> /usr/lib/libicucore.A.dylib
0x98867000 - 0x98968fe7  libxml2.2.dylib 10.3.0 (compatibility 10.0.0) <B4C5CD68-405D-0F1B-59CA-5193D463D0EF> /usr/lib/libxml2.2.dylib
0x9896e000 - 0x9898dfe3  libexpat.1.dylib 7.2.0 (compatibility 7.0.0) <82E6F83F-9667-2E39-1D9D-4A49C642527D> /usr/lib/libexpat.1.dylib
0x9898e000 - 0x98a09fe7  com.apple.audio.CoreAudio 3.2.2 (3.2.2) <51D0E2DC-B15F-AF6C-70D8-026DDAD4E2A5> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x98a94000 - 0x98abbff7  com.apple.quartzfilters 1.6.0 (1.6.0) <879A3B93-87A6-88FE-305D-DF1EAED04756> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x98ae6000 - 0x98ae8fe7  com.apple.ExceptionHandling 1.5 (10) <21F37A49-E63B-121E-D406-1BBC94BEC762> /System/Library/Frameworks/ExceptionHandling.framework/Versions/A/ExceptionHandling
0x98af3000 - 0x98b31ff7  com.apple.QuickLookFramework 2.2 (327.4) <88A59C42-A200-FCB6-23EC-E848D0E14963> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x98b32000 - 0x98c0dfe7  com.apple.DesktopServices 1.5.7 (1.5.7) <A69072AD-C47E-A00D-4A69-6E46A7FB2119> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x98c0e000 - 0x98cbefe3  com.apple.QuickTimeImporters.component 7.6.6 (1742) <76B0E668-214A-AB71-AAB8-E39E7F227C9B> /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x98cbf000 - 0x98cc5fff  com.apple.CommonPanels 1.2.4 (91) <2438AF5D-067B-B9FD-1248-2C9987F360BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x98cc6000 - 0x98df2fff  com.apple.audio.toolbox.AudioToolbox 1.6.3 (1.6.3) <F0D7256E-0914-8E77-E37B-9720430422AB> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x98df3000 - 0x98df6ffb  com.apple.help 1.3.1 (41) <67F1F424-3983-7A2A-EC21-867BE838E90B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x98df7000 - 0x98e07ff7  libsasl2.2.dylib 3.15.0 (compatibility 3.0.0) <C8744EA3-0AB7-CD03-E639-C4F2B910BE5D> /usr/lib/libsasl2.2.dylib
0x98e08000 - 0x98e28fe7  libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <751955F3-21FB-A03A-4E92-1F3D4EFB8C5B> /usr/lib/libresolv.9.dylib
0x98e29000 - 0x98ea9feb  com.apple.SearchKit 1.3.0 (1.3.0) <9E18AEA5-F4B4-8BE5-EEA9-818FC4F46FD9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x98eaa000 - 0x98ee0fff  libtidy.A.dylib ??? (???) <DDFAB560-3883-A6A2-7BDD-D91730982B48> /usr/lib/libtidy.A.dylib
0x98ee1000 - 0x98ee8ff7  com.apple.agl 3.0.12 (AGL-3.0.12) <6877F0D8-0DCF-CB98-5304-913667FF50FA> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x98ee9000 - 0x98f01ff7  com.apple.CFOpenDirectory 10.6 (10.6) <1537FB4F-C112-5D12-1E5D-3B1002A4038F> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x98f20000 - 0x98f63ff7  libGLU.dylib ??? (???) <2093A1FB-67BD-39E0-CDE5-A97A77BDDBCE> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x98f64000 - 0x98f86fef  com.apple.DirectoryService.Framework 3.6 (621.3) <05FFDBDB-F16B-8AC0-DB42-986965FCBD95> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x98f87000 - 0x98fcbfe7  com.apple.Metadata 10.6.3 (507.10) <630494FA-3BB3-EDD3-E10B-8DAAF4831E26> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x98fd7000 - 0x98fdbff7  libGFXShared.dylib ??? (???) <2D32BDBF-C941-93FD-E233-F03D28DB9E94> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x98fdc000 - 0x991e2feb  com.apple.AddressBook.framework 5.0.2 (870) <3E9D6CF3-6C41-245D-5343-941A185C8384> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x991e3000 - 0x991eeff7  com.apple.CrashReporterSupport 10.6.3 (250) <981124CA-6E89-94C5-C7E9-4E0D6CA06F1D> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x991ef000 - 0x991f3ff7  libGIF.dylib ??? (???) <3ECD4D2C-40FE-E9A0-A2D2-E36D1C00D3A8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x99238000 - 0x99268ff7  com.apple.MeshKit 1.1 (49.2) <ECFBD794-5D36-4405-6184-5568BFF29BF3> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/MeshKit
0x99269000 - 0x9935bff7  libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <D2C86308-F998-C83D-F49B-CD484D4EFE6A> /usr/lib/libcrypto.0.9.8.dylib
0x9935c000 - 0x99399ff7  com.apple.SystemConfiguration 1.10.2 (1.10.2) <398BB007-41FD-1A30-26D8-CB86ED5E467E> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x9939a000 - 0x9939aff7  com.apple.Carbon 150 (152) <9252D5F2-462D-2C15-80F3-109644D6F704> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9939b000 - 0x993a4ff7  com.apple.DiskArbitration 2.3 (2.3) <E9C40767-DA6A-6CCB-8B00-2D5706753000> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x993a5000 - 0x993fdfe7  com.apple.datadetectorscore 2.0 (80.7) <A40AA74A-9D13-2A6C-5440-B50905923251> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x993fe000 - 0x9944eff7  com.apple.framework.familycontrols 2.0.1 (2010) <B9762E20-543D-13B9-F6BF-E8585F04CA01> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x9944f000 - 0x99773fef  com.apple.HIToolbox 1.6.3 (???) <0A5F56E2-9AF3-728D-70AE-429522AEAD8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x99774000 - 0x997edff7  com.apple.PDFKit 2.5.1 (2.5.1) <CEF13510-F08D-3177-7504-7F8853906DE6> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x997ee000 - 0x99844ff7  com.apple.MeshKitRuntime 1.1 (49.2) <F1EAE9EC-2DA3-BAFD-0A8C-6A3FFC96D728> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/Frameworks/MeshKitRuntime.framework/Versions/A/MeshKitRuntime
0x99924000 - 0x99968ff3  com.apple.coreui 2 (114) <29F8F1A4-1C96-6A0F-4CC2-9B85CF83209F> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0xb0000000 - 0xb0026ff7 +com.positivespinmedia.PSMTabBarControlFramework ??? (1.1) <262267F6-99DB-4AB3-A753-1B511A479C8F> /Applications/Adium.app/Contents/Frameworks/PSMTabBarControl.framework/Versions/A/PSMTabBarControl
0xc0000000 - 0xc000bff7 +com.growl.growlframework 1.2 (1.2) <A233A884-0288-CC04-66E4-E00376B3C2F4> /Applications/Adium.app/Contents/Frameworks/Growl.framework/Versions/A/Growl
0xffff0000 - 0xffff1fff  libSystem.B.dylib ??? (???) <3441F338-2218-6D36-3F95-3A16FBF6713D> /usr/lib/libSystem.B.dylib

 


Attachments (6)

dontReloadChildren.diff (738 bytes) - added by kbotc 8 years ago.
useExistingProxyObject.diff (774 bytes) - added by kbotc 8 years ago.
changeToNil.diff (673 bytes) - added by kbotc 8 years ago.
Slightly better change to nil patch.
dontLoadHiddenLists.diff (1.3 KB) - added by kbotc 8 years ago.
If the list is hidden, stop all updating.
dontLeakChatObjectsOnDisconnect.diff (1.9 KB) - added by kbotc 8 years ago.
I'm not 100% if this is the correct way to do this (Setting isOpen to FALSE), but this will correct the big ESObjectWithProperties leak I've been seeing).
dontLeakChatObjectsOnDisconnect.2.diff (1.8 KB) - added by kbotc 8 years ago.
A better solution. If there is less than or equal to 1 chat left for the listObject, go ahead and destroy it. (We were never removing AIListObjects when they were in chats because they were considered contained by the closing chat when we were supposed to be deallocating them, thus leading to a leak)

Download all attachments as: .zip

Change History (128)

comment:1 Changed 9 years ago by Robby

  • Milestone set to Adium 1.4

comment:2 Changed 9 years ago by evands

This is not new to 1.4b19; it was reported in #11896 and eventually closed because we couldn't reproduce any further issues. It would be new to 1.4, however, as it's related to an subtle problem with proxied AIListObjects (which are necessary to be able to support the multiple-groups-per-contact).

comment:3 Changed 9 years ago by Robby

  • Keywords b19 crash removed
  • Summary changed from Adium crashes after quite a few hours of being logged on. to Crash related to proxied AIListObjects

comment:4 Changed 9 years ago by evands

Ticket #13846 has been marked as a duplicate of this ticket.

comment:5 Changed 9 years ago by evands

#13846 points out that this crash (same root cause) has been seen:

Exception Type:  EXC_BAD_INSTRUCTION (SIGILL)
Exception Codes: 0x0000000000000001, 0x0000000000000000
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Application Specific Information:
objc[31345]: FREED(id): message isKindOfClass: sent to freed object=0x226c2840

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libobjc.A.dylib                 0x96e6f4b4 _objc_error + 116
1   libobjc.A.dylib                 0x96e6f4ea __objc_error + 52
2   libobjc.A.dylib                 0x96e6d7dc _freedHandler + 58
3   com.adiumX.adiumX               0x000edd2a -[AIMenuController updateAccountSpecificMenu:] + 180
4   com.adiumX.adiumX               0x000ee0f9 -[AIMenuController menuNeedsUpdate:] + 371
5   com.apple.AppKit                0x92c05014 -[NSMenu _populateWithEventRef:] + 306
6   com.apple.AppKit                0x92c04208 -[NSCarbonMenuImpl _carbonPopulateEvent:handlerCallRef:] + 424
7   com.apple.AppKit                0x92c03f79 NSSLMMenuEventHandler + 404

Path: -[AIMenuController updateAccountSpecificMenu:] --> adium.interfaceController.selectedListObject queries 1st responder ([AIListOutlineView listObject ]) which returns a released object (((AIProxyListObject *)[self itemAtRow:selectedRow]).listObject). It is queried with isKindOfClass, crashing.

comment:6 Changed 9 years ago by Robby

For the sake of completeness:

  • #13843 (crash) was also marked a duplicate of this ticket
  • #14379 features some related console logging.

comment:7 Changed 9 years ago by Evan Schoenberg

(In a4bf2b677fea) Several fixes to handling of listObject notification delays, which allow a group of updates to be handled as a block rather than individually to improve performance and appearance of the changes.

  • -[AIContactObserverManager endListObjectNotificationsDelay] now overrides a previous call to -[[AIContactObserverManager delayListObjectNotificationsUntilInactivity]; if the last notification delay is ended, we immediately send out our notifications and trigger the updates
  • Added -[AIContactObserverManager endListObjectNotificationsDelaysImmediately] which cancels out any nested delays and performs immediate updates - necessary if the changes made require an immediate reloading of contact list data to avoid the use of stale (NSOutlineView-caached) data.
  • Documentation improvement

Refs #14294

comment:8 Changed 9 years ago by Robby

  • Milestone Adium 1.4 deleted
  • Resolution set to fixed
  • Status changed from new to closed

http://hg.adium.im/adium-1.4/rev/dba0d3d40782 was meant to mark this as fixed.

comment:9 Changed 9 years ago by sphynx

  • Resolution fixed deleted
  • Status changed from closed to new
  • Version changed from 1.4b19 to 1.4

I've seen two different reports now that this is not fixed in the 1.4 release: http://pastebin.com/cERjAZCw. And another one which I can't find right now.

comment:10 Changed 9 years ago by sphynx

Logs from someone else, just for the record:

http://pastebin.com/PPeuRPU8

http://pastebin.com/cK27Cd5A

http://pastebin.com/Ex8VE1m4

And one slightly different one on RC1:

http://pastebin.com/5si49EDA

comment:11 Changed 9 years ago by Robby

  • Milestone set to Adium 1.4.1

comment:13 Changed 9 years ago by torarnv

Another possibly related crash:

https://gist.github.com/670683

comment:14 Changed 9 years ago by David Munch

http://paste.lisp.org/display/116462

I just had this crash, and I have one observation which might be related?
I've had one metacontact which has been displayed as online with one account (MSN) for the last couple of days, even though she wasn't online. She was even displayed as being online in the list, with no accounts online, ie. just after starting Adium. If a conversation with her was started, the message window displayed her as offline, while the contactlist still said that she was online.

After the crash, she is no longer displayed as being online in the list.

comment:15 Changed 9 years ago by evands

  • Milestone changed from Adium 1.4.1 to Adium 1.4.2

comment:16 Changed 9 years ago by Robby

Got this just now for 1.4.1b1: http://pastebin.com/HPwhGGbm.

Happened when I returned to my MBP, which wasn't in sleep mode but the display was dimmed (what's this state called?).

I've got an external display connected, I don't know whether that might be related.

comment:17 Changed 9 years ago by Robby

Ticket #14631 has been marked as a duplicate of this ticket.

comment:18 Changed 9 years ago by DanielMacKay

My 1.4.1 crash log. Note that this seems to have to do with the userlist (Display--> Toggle User List) being on - it doesn't happen when there is no user list

http://pastebin.com/8SFfHavW

comment:19 Changed 9 years ago by Robby

Ticket #14351 has been marked as a duplicate of this ticket.

comment:20 Changed 9 years ago by Robby

  • Severity changed from normal to major

comment:21 Changed 9 years ago by evands

  • Milestone changed from Adium 1.4.2 to Adium 1.4.3

1.4.2 is for security fixes, a libpurple update, and Facebook XMPP. All other issues are being bumped. I do wish we could fix this one, though :(

comment:22 Changed 9 years ago by Robby

Ticket #15106 has been marked as a duplicate of this ticket.

comment:23 Changed 9 years ago by Robby

Ticket #14442 has been marked as a duplicate of this ticket.

comment:24 Changed 9 years ago by wixardy

Ticket #14596 has been marked as a duplicate of this ticket.

comment:25 Changed 9 years ago by wixardy

Ticket #10548 has been marked as a duplicate of this ticket.

comment:26 Changed 9 years ago by wixardy

Ticket #14547 has been marked as a duplicate of this ticket.

comment:27 Changed 9 years ago by wixardy

Ticket #15154 has been marked as a duplicate of this ticket.

comment:28 Changed 8 years ago by Houbsi

Hey I have some Bug Reports for you here:

http://files.crazyhstudio.net/index.php?dir=adium%2F

Hope they can help

comment:29 Changed 8 years ago by sphynx

Ticket #15249 has been marked as a duplicate of this ticket.

comment:30 follow-up: Changed 8 years ago by DanielMacKay

Specifically, Adium crashes when you have an IRC "User List" open, and are /quit'ing.

I don't think it has anything to do with being open for quite a while: it never does it if there's no user list open no matter how long it's been open.

Here's a 1.4.2 trace: http://pastebin.com/U5F2Rwdy

comment:31 in reply to: ↑ 30 Changed 8 years ago by wixardy

Replying to DanielMacKay:

I don't think it has anything to do with being open for quite a while: it never does it if there's no user list open no matter how long it's been open.

I get it with my users list not being shown, but that could be a 1.5ism.

comment:32 Changed 8 years ago by law

I was referred to this bug by IRC. I experienced a crash while merging contacts. I tried to reproduce it a bit more, but currently it works fine. While I experienced the crash, I merged into a contact I had in multiple groups (and the contact had five Ids). The other contact had two Ids.

comment:33 Changed 8 years ago by justdave

I just reproduced this twice in a row by trying to reorder the groups in my contact list via drag-and-drop within the list. The trace from my crash just now is at http://pastebin.com/6Uwsy6pP

Last edited 8 years ago by justdave (previous) (diff)

comment:34 Changed 8 years ago by Robby

In its current form, we can't really debug this error. Adium needs to be run with zombies enabled.

  1. Open Terminal.app
  2. Move into the directory where Adium is located
  3. Run: env NSZombieEnabled=YES Adium.app/Contents/MacOS/Adium

When this crash occurs, it will log in the console (Console.app) what is going wrong.

Last edited 8 years ago by Robby (previous) (diff)

comment:35 Changed 8 years ago by David Munch

Does this command have to be run each time Adium is relaunched, or only once?

comment:36 Changed 8 years ago by mathuaerknedam

Every time. This makes Adium *very* ram hungry, so you probably don't want to leave this running for very long without restarting. I ran it overnight and Adium used up all 8G of ram, and a few dozen GB of swap until the system ran out of disk space and became a zombie itself. :)

comment:37 Changed 8 years ago by David Munch

That's not very nice.. :S Especially since I haven't had a crash in 5 weeks.. Thanks for the info though.

comment:38 Changed 8 years ago by fintler

May be partially related to #15334

comment:39 Changed 8 years ago by wixardy

Ticket #15334 has been marked as a duplicate of this ticket.

comment:40 Changed 8 years ago by wixardy

Ticket #15378 has been marked as a duplicate of this ticket.

comment:41 Changed 8 years ago by wixardy

Ticket #15385 has been marked as a duplicate of this ticket.

comment:42 Changed 8 years ago by DanielMacKay

Copied over from bug 15334:

Again, in my case this has *nothing* to do with being open for a length of time; it has to do with quitting while having "User List" toggled on, in IRC channels. When a "zombie mode" crash log was requested a couple of weeks ago, I produced one in 30 seconds:

http://pastebin.com/VyWwq9JP

and here's the ~/Library/Logs/DiagnosticReports/Adium_2011-07-20-143112_DanielMacKayMBP.crash

http://pastebin.com/Mik0AxhA

comment:43 Changed 8 years ago by evands

  • Owner set to evands

comment:44 Changed 8 years ago by evands

@DanielMacKay: When you say 'quitting' do you mean quitting the channel or quitting Adium itself?

comment:45 Changed 8 years ago by DanielMacKay

evands: I meant quitting Adium,but I think /quit'ing the channel will do it too.

comment:46 Changed 8 years ago by shadow

I have a core, the source I built from and a debugger. Can I provide anything? it's still crashing several times a day.

comment:47 Changed 8 years ago by kbotc

I saw a fairly major issue I think.

We *never* release a proxy object unless it's a user in a chat, or you disconnect the account. Otherwise, the listObject and the proxyObject just hang around forever.

You can set a breakpoint and see it yourself...

comment:48 Changed 8 years ago by evands

Actually, the crash happens because we -do- release proxy objects when the group containing them collapses. It's unsafe to do so, though, as the NSOutlineView can still try to ask the dataSource about them when it goes to calculate row heights.

Check out -[AIAbstractListController outlineView:setExpandState:ofItem:].

That said, when do you think that listObjects (and their associated proxyObjects) should dealloc, if not when they currently do?

comment:49 Changed 8 years ago by kbotc

Yes, I noticed that as well, but right now they hang around until the program is closed, or if you have an AIChat open with them. I figure when a contact signs off, the AIListObject, and the associated Proxy Object should be destroyed (Unless offline contacts are shown). I'm wondering about other things with the crash though, although I don't have the source in front of me at the moment.

comment:50 Changed 8 years ago by evands

You make a good point. I'd prefer we fix the crash on 1.4.x, and worry about the deeper memory management issue in the 1.5 scope.

comment:51 Changed 8 years ago by kbotc

I'm wondering, in AIListController.m:~426, if we're calling to released objects because we're actually forcing the call to the children objects of non-expanded items in the contact list. Apple documentation says we should change this anyways.

Last edited 8 years ago by kbotc (previous) (diff)

Changed 8 years ago by kbotc

comment:52 Changed 8 years ago by kbotc

Also, I noticed this logic problem: If we can drag and drop on the Metacontact, that means that the proxy object exists for certain. We might as well save on the processor usage and don't give it the option of destroying the AIProxyObject. It's not much, but every little bit counts, right? :P

Changed 8 years ago by kbotc

comment:53 Changed 8 years ago by kbotc

And this, more practically, removes my ability to make Adium crash with this bug.

EDIT: Nevermind. Playing in Instruments I managed to crash again.

Last edited 8 years ago by kbotc (previous) (diff)

Changed 8 years ago by kbotc

Slightly better change to nil patch.

comment:54 Changed 8 years ago by Robert Vehse

(In 683b066ed8e9) Patch from kbotc: "If you can see the object, it has to already exist". Refs #14294.

comment:55 Changed 8 years ago by Robert Vehse

(In a00b7964253b) Patch from kbotc: "Following Apple's documentation, we won't reload the children if they're not visible". Refs #14294.

comment:56 Changed 8 years ago by kbotc

Evan,

It occurs to me that it doesn't matter in the slightest that we're releasing the proxy objects. They're going to be regenerated every time it reloads data. (Through [AIAbstractController outlineView:child:ofItem:] ) We might as well just not destroy them.

comment:57 Changed 8 years ago by evands

I agree - The only reason to destroy them is if the object isn't going to be displayed again... that, in turn, means that they only need to be destroyed if the AIListObject itself is destroyed.

I have a patch in progress here to make that so, and also to resolve the awkward retain loop between AIListObject and AIProxyListObject (which is resolved using MAZeroingWeakRef). I should be able to land it this weekend after further testing. I haven't been able to reliably reproduce the crash, though, so your help and DanielMacKay's will be requisite, along with anyone else who can hammer at it once it's committed.

comment:58 Changed 8 years ago by shadow

I can crash it any time you want. Say the word.

comment:59 Changed 8 years ago by Evan Schoenberg

  • Resolution set to fixed
  • Status changed from new to closed

(In 8de0a4e32e42) AIProxyListObject no longer retains the ESObjectWithProperties which retains it; instead, it maintains a zeroing weak reference. This simplifies the memory management significantly.

  • Don't try to aggressively release AIProxyListObjects when a group is collapsed. Instead, clear out its display cache. At that point, it's a very small object, and it can live until the AIListObject is deallocated.
  • Although messaging the AIProxyListObject results in a call through to -[AIPorxyListObject listObject], it's clearer to use this directly. (Future changes should probably remove its 'mirroring' capability entirely; it's just a set up for confusion and mis-casting).
  • I believe that between this and kbotc's changes, this fixes #14294. I never could reproduce the crash in the first place, though. Please test and report back.

comment:60 Changed 8 years ago by shadow

built from hg4164 last night. this morning?

Process:         Adium [4180]
Path:            /Applications/Adium.app/Contents/MacOS/Adium
Identifier:      com.adiumX.adiumX
Version:         1.5hg (1.5hg)
Code Type:       X86-64 (Native)
Parent Process:  launchd [343]

Date/Time:       2011-08-22 08:41:14.487 -0400
OS Version:      Mac OS X 10.7 (11A511)
Report Version:  9

Interval Since Last Report:          448603 sec
Crashes Since Last Report:           18
Per-App Interval Since Last Report:  447430 sec
Per-App Crashes Since Last Report:   17
Anonymous UUID:                      BF404DF7-3130-42E2-929C-06572D3D8AA5

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Application Specific Information:
Dear crash reporter team: We only put stuff here in debug builds of Adium. Don't Panic, it won't ship in a release unless there's public API for it.
 
 <> of class __NSCFData does not respond to selector listObject
objc[4180]: garbage collection is OFF
abort() called


Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff93b76ce2 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff926407d2 pthread_kill + 95
2   libsystem_c.dylib             	0x00007fff92631a7a abort + 143
3   com.adiumX.adiumX             	0x00000001001477bc -[NSObject(AIObjectDebug) doesNotRecognizeSelector:] + 211
4   com.apple.CoreFoundation      	0x00007fff88f61803 ___forwarding___ + 371
5   com.apple.CoreFoundation      	0x00007fff88f61618 _CF_forwarding_prep_0 + 232
6   Adium                         	0x0000000100689dba -[AIAbstractListController outlineView:isGroup:] + 72
7   Adium                         	0x000000010068a233 -[AIAbstractListController outlineView:heightOfRowByItem:] + 21
8   com.apple.AppKit              	0x00007fff8c966cb9 -[NSOutlineView _sendDelegateHeightOfRow:] + 163
9   com.apple.AppKit              	0x00007fff8c5cf91d -[NSTableView _uncachedRectHeightOfRow:] + 160
10  com.apple.AppKit              	0x00007fff8c5cf7c0 -[_NSTableRowHeightStorage _cacheRowHeights] + 169
11  com.apple.AppKit              	0x00007fff8c55d269 -[_NSTableRowHeightStorage _ensureRowHeights] + 83
12  com.apple.AppKit              	0x00007fff8c5c41ef -[_NSTableRowHeightStorage computeTableHeightForNumberOfRows:] + 60
13  com.apple.AppKit              	0x00007fff8c5c3e0b -[NSTableView _minimumFrameSize] + 71
14  com.apple.AppKit              	0x00007fff8c5c6ec1 -[NSTableView tile] + 220
15  com.apple.AppKit              	0x00007fff8c4fd2ed -[NSTableView rowsInRect:] + 108
16  com.apple.AppKit              	0x00007fff8c4fcd30 -[NSTableView _dirtyVisibleCellsForKeyStateChange] + 275
17  com.apple.AppKit              	0x00007fff8c4fc415 -[NSTableView _windowChangedKeyState] + 294
18  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
19  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
20  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
21  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
22  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
23  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
24  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
25  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
26  com.apple.AppKit              	0x00007fff8c4fc119 -[NSSplitView _windowChangedKeyState] + 63
27  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
28  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
29  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
30  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
31  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
32  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
33  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
34  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
35  com.apple.AppKit              	0x00007fff8c6c7ee6 -[NSTabView _windowChangedKeyState] + 43
36  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
37  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
38  com.apple.CoreFoundation      	0x00007fff88f02a44 CFArrayApplyFunction + 68
39  com.apple.AppKit              	0x00007fff8c4fab14 -[NSView _windowChangedKeyState] + 105
40  com.apple.AppKit              	0x00007fff8c4faa36 -[NSFrameView _windowChangedKeyState] + 92
41  com.apple.AppKit              	0x00007fff8c4fa8ef -[NSWindow _setFrameNeedsDisplay:] + 163
42  com.apple.AppKit              	0x00007fff8c4f8f86 endKeyAndMain + 119
43  com.apple.AppKit              	0x00007fff8c4f34ae -[NSApplication sendEvent:] + 2998
44  com.apple.AppKit              	0x00007fff8c48a42b -[NSApplication run] + 548
45  com.apple.AppKit              	0x00007fff8c70852a NSApplicationMain + 867
46  com.adiumX.adiumX             	0x0000000100002b04 start + 52
Last edited 8 years ago by sphynx (previous) (diff)

comment:61 follow-up: Changed 8 years ago by shadow

i can by the way offer more detail: it's with twitter collecting my timeline. i said it was suspend-related. it's not. if i take the network down, then bring it back, a later attempt to scroll the pane with the timeline blows up.

also, i can reproduce this with a core if it will help.

comment:62 Changed 8 years ago by Robby

Thanks, shadow. Please try a later build, there were some changes after r4164: http://hg.adium.im/adium/shortlog.

comment:63 Changed 8 years ago by shadow

fine, building 4171 now.

comment:64 Changed 8 years ago by Robby

Anyone interested in checking whether this has been fixed please try the latest build here: http://nightly.adium.im/?repo_branch=adium-1.4-default. Please let us know how it goes.

comment:65 Changed 8 years ago by DanielMacKay

I'm running 1.5hgr4170 and cannot reproduce my problem! Yay guys! This was my test procedure:

#14631

Last edited 8 years ago by wixardy (previous) (diff)

comment:66 Changed 8 years ago by shadow

still reproduces with 4170

Process:         Adium [296]
Path:            /Applications/Adium.app/Contents/MacOS/Adium
Identifier:      com.adiumX.adiumX
Version:         1.5hgr4170 (1.5hgr4170)
Code Type:       X86-64 (Native)
Parent Process:  launchd [210]

Date/Time:       2011-08-22 14:05:44.204 -0400
OS Version:      Mac OS X 10.7.1 (11B26)
Report Version:  9

Interval Since Last Report:          1850 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  1843 sec
Per-App Crashes Since Last Report:   1
Anonymous UUID:                      BF404DF7-3130-42E2-929C-06572D3D8AA5

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: 0x000000000000000d, 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 0000000100000000-00000001001fc000 [ 2032K] r-x/rwx SM=COW  /Applications/Adium.app/Contents/MacOS/Adium

Application Specific Information:
objc_msgSend() selector name: listObject
objc[296]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libobjc.A.dylib               	0x00007fff89b8bea5 objc_msgSend + 37
1   Adium                         	0x00000001006b54ba -[AIAbstractListController outlineView:isGroup:] + 74
2   Adium                         	0x00000001006b597b -[AIAbstractListController outlineView:heightOfRowByItem:] + 27
3   com.apple.AppKit              	0x00007fff9283fcb9 -[NSOutlineView _sendDelegateHeightOfRow:] + 163
4   com.apple.AppKit              	0x00007fff924a891d -[NSTableView _uncachedRectHeightOfRow:] + 160
5   com.apple.AppKit              	0x00007fff924a87c0 -[_NSTableRowHeightStorage _cacheRowHeights] + 169
6   com.apple.AppKit              	0x00007fff92436269 -[_NSTableRowHeightStorage _ensureRowHeights] + 83
7   com.apple.AppKit              	0x00007fff9249d1ef -[_NSTableRowHeightStorage computeTableHeightForNumberOfRows:] + 60
8   com.apple.AppKit              	0x00007fff9249ce0b -[NSTableView _minimumFrameSize] + 71
9   com.apple.AppKit              	0x00007fff9249fec1 -[NSTableView tile] + 220
10  com.apple.AppKit              	0x00007fff923d62ed -[NSTableView rowsInRect:] + 108
11  com.apple.AppKit              	0x00007fff923d5d30 -[NSTableView _dirtyVisibleCellsForKeyStateChange] + 275
12  com.apple.AppKit              	0x00007fff923d5415 -[NSTableView _windowChangedKeyState] + 294
13  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
14  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
15  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
16  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
17  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
18  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
19  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
20  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
21  com.apple.AppKit              	0x00007fff923d5119 -[NSSplitView _windowChangedKeyState] + 63
22  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
23  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
24  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
25  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
26  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
27  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
28  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
29  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
30  com.apple.AppKit              	0x00007fff925a0ee6 -[NSTabView _windowChangedKeyState] + 43
31  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
32  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
33  com.apple.CoreFoundation      	0x00007fff94ac1a44 CFArrayApplyFunction + 68
34  com.apple.AppKit              	0x00007fff923d3b14 -[NSView _windowChangedKeyState] + 105
35  com.apple.AppKit              	0x00007fff923d3a36 -[NSFrameView _windowChangedKeyState] + 92
36  com.apple.AppKit              	0x00007fff923d38ef -[NSWindow _setFrameNeedsDisplay:] + 163
37  com.apple.AppKit              	0x00007fff9246609f _NXShowKeyAndMain + 167
38  com.apple.AppKit              	0x00007fff9246af0c _NXDoMouseUpWindowOrdering + 371
39  com.apple.AppKit              	0x00007fff92366bbb -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 429
40  com.apple.AppKit              	0x00007fff923633d6 -[NSApplication run] + 463
41  com.apple.AppKit              	0x00007fff925e152a NSApplicationMain + 867
42  com.adiumX.adiumX             	0x0000000100002344 start + 52
Last edited 8 years ago by Robby (previous) (diff)

comment:67 Changed 8 years ago by evands

  • Resolution fixed deleted
  • Status changed from closed to new

David also reported the crash to me via email, with HEAD. Not fixed :(

comment:68 Changed 8 years ago by Catfish_Man

MAZWR seemed like a pretty appropriate technology choice to me for 1.5.x. I can see why you might be concerned that it's just papering over design issues though.

comment:69 Changed 8 years ago by evands

It does seem like a nice class. My concern with it is, as you mention, that it's papering over an issue (if the zeroed-weak-reference were used, visual bugs and inconsistencies would appear because we'd be missing underlying data... there shouldn't even be a situation in which the proxy object is used by the list object no longer exists) and also that it's pretty heavy-handed for solving this particular problem...

...and looking at it further, the crash-problem is access to a released AIListProxyObject, not access to a released AIListObject referenced by the AIListProxyObject, so it wouldn't have been solving the real problem anyways. :)

comment:70 in reply to: ↑ 61 Changed 8 years ago by evands

Replying to shadow:

i can by the way offer more detail: it's with twitter collecting my timeline. i said it was suspend-related. it's not. if i take the network down, then bring it back, a later attempt to scroll the pane with the timeline blows up.

also, i can reproduce this with a core if it will help.

Does your list of followed contacts disappear when Twitter signs up, then reappear when it signs back on? I'm trying your steps repeatedly and can't reproduce a crash.

comment:71 Changed 8 years ago by evands

Ah. It requires having a chat open with the users listed, I believe. I just reproduced it by having my timeline chat window open while signing on and off and switching between chats. The crash was ultimately via -[AIMessageViewController splitView:resizeSubviewsWithOldSize:] -> -[AIAutoScrollView setFrame:] -> AIAbstractListController.

comment:72 follow-up: Changed 8 years ago by shadow

i don't show twitter contacts in the contact list. it was crashing repeatedly, reproducibly, at the time. so, i turned it off.

comment:73 in reply to: ↑ 72 Changed 8 years ago by kbotc

Replying to shadow:

i don't show twitter contacts in the contact list. it was crashing repeatedly, reproducibly, at the time. so, i turned it off.

Yep. That triggered it for me. I attempted to show the contact list and was immediately greeted with a crash.

comment:74 Changed 8 years ago by evands

I reproduced it once but can't again. Can you provide exact steps which reproduce it reliably?

comment:75 Changed 8 years ago by shadow

alas no. I can test, I can build, and I can attach with a debugger but that's the best I can offer

comment:76 Changed 8 years ago by evands

shadow: I'm confused about the Twitter comments. You're getting it while scrolling the message window that contains the timeline? That specifically causes a crash, after disconnecting and reconnecting your Twitter account, with or without the followed contacts shown in the contact list?

comment:77 Changed 8 years ago by shadow

I do not show twitter contacts in the contact list ever, so no crash I have reported was that. If my network goes away and comes back (either switching from wired to wireless or vice versa, or suspending and resuming) some amount of time later switching to the timeline tab and scrolling it crashes thus. the amount of time is never much but it's not typically immediate.

comment:78 Changed 8 years ago by evands

Do you show the user list (display > toggle user list) in your twitter timeline? Are you talking about scrolling the list of tweets, or scrolling the list of users in the user list?

comment:79 Changed 8 years ago by shadow

i didn't even know i could show the userlist. this is the list of tweets.

comment:80 Changed 8 years ago by Evan Schoenberg

(In 7cedf16beeab) Nobody should be releasing proxy objects externally; this should only be done when the AIListObject deallocates. Refs #14294

comment:81 Changed 8 years ago by Evan Schoenberg

(In 367cb0b6d877) Provide some retain/release protection around the property notifications when removing objects from groups. This probably has no real effect because the calls to it already have retain/autorelease, but it makes me feel better and is safer. Refs #14294

comment:82 Changed 8 years ago by evands

OK, I think [7cedf16beeab] may have been the culprit...

@shadow: Please try [4176] (or later) on the adium branch and let me know if you can still reproduce it. I can't, but I couldn't do it reliably to start with. Thanks for your help.

comment:83 Changed 8 years ago by shadow

if nightly happens before i can build, i will take that, otherwise i will build after i finish with the kernel debugger i am poking now :\

comment:84 Changed 8 years ago by Robby

shadow, the current nightly has the changes. :)

comment:85 Changed 8 years ago by David Munch

Hi Shadow, any updates? :)

comment:86 Changed 8 years ago by shadow

apparently my last update was eaten. no, it no longer crashes.

comment:87 Changed 8 years ago by David Munch

  • Resolution set to fixed
  • Status changed from new to closed

Perfect! Thank you for helping us out! :)

comment:88 Changed 8 years ago by Slash

Still crashes, not that often, and not sure if this is related with this one or not. Since I'm using nightly this might not even be present on 1.4.3rc1.

Process:         Adium [4553]
Path:            /Applications/Adium.app/Contents/MacOS/Adium
Identifier:      com.adiumX.adiumX
Version:         1.5hgr4178 (1.5hgr4178)
Code Type:       X86-64 (Native)
Parent Process:  launchd [211]

Date/Time:       2011-08-28 09:31:26.385 +0100
OS Version:      Mac OS X 10.7.1 (11B26)
Report Version:  9

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: 0x000000000000000d, 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 0000000100000000-00000001001fc000 [ 2032K] r-x/rwx SM=COW  /Applications/Adium.app/Contents/MacOS/Adium

Application Specific Information:
objc_msgSend() selector name: listObject
objc[4553]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libobjc.A.dylib               	0x00007fff8b286e90 objc_msgSend + 16
1   Adium                         	0x00000001006b532e -[AIAbstractListController outlineView:isGroup:] + 74
2   Adium                         	0x00000001006b57ef -[AIAbstractListController outlineView:heightOfRowByItem:] + 27
3   com.apple.AppKit              	0x00007fff8f095cb9 -[NSOutlineView _sendDelegateHeightOfRow:] + 163
4   com.apple.AppKit              	0x00007fff8ecfe91d -[NSTableView _uncachedRectHeightOfRow:] + 160
5   com.apple.AppKit              	0x00007fff8ecfe7c0 -[_NSTableRowHeightStorage _cacheRowHeights] + 169
6   com.apple.AppKit              	0x00007fff8ec8c269 -[_NSTableRowHeightStorage _ensureRowHeights] + 83
7   com.apple.AppKit              	0x00007fff8ecf31ef -[_NSTableRowHeightStorage computeTableHeightForNumberOfRows:] + 60
8   com.apple.AppKit              	0x00007fff8ecf2e0b -[NSTableView _minimumFrameSize] + 71
9   com.apple.AppKit              	0x00007fff8ecf5ec1 -[NSTableView tile] + 220
10  com.apple.AppKit              	0x00007fff8ec2c2ed -[NSTableView rowsInRect:] + 108
11  com.apple.AppKit              	0x00007fff8ec2bd30 -[NSTableView _dirtyVisibleCellsForKeyStateChange] + 275
12  com.apple.AppKit              	0x00007fff8ec2b415 -[NSTableView _windowChangedKeyState] + 294
13  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
14  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
15  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
16  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
17  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
18  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
19  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
20  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
21  com.apple.AppKit              	0x00007fff8ec2b119 -[NSSplitView _windowChangedKeyState] + 63
22  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
23  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
24  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
25  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
26  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
27  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
28  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
29  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
30  com.apple.AppKit              	0x00007fff8edf6ee6 -[NSTabView _windowChangedKeyState] + 43
31  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
32  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
33  com.apple.CoreFoundation      	0x00007fff92356a44 CFArrayApplyFunction + 68
34  com.apple.AppKit              	0x00007fff8ec29b14 -[NSView _windowChangedKeyState] + 105
35  com.apple.AppKit              	0x00007fff8ec29a36 -[NSFrameView _windowChangedKeyState] + 92
36  com.apple.AppKit              	0x00007fff8ec298ef -[NSWindow _setFrameNeedsDisplay:] + 163
37  com.apple.AppKit              	0x00007fff8ec27f86 endKeyAndMain + 119
38  com.apple.AppKit              	0x00007fff8ec224ae -[NSApplication sendEvent:] + 2998
39  com.apple.AppKit              	0x00007fff8ebb942b -[NSApplication run] + 548
40  com.apple.AppKit              	0x00007fff8ee3752a NSApplicationMain + 867
41  com.adiumX.adiumX             	0x0000000100001b74 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff910cb7e6 kevent + 10
1   libdispatch.dylib             	0x00007fff8eb9360e _dispatch_mgr_invoke + 923
2   libdispatch.dylib             	0x00007fff8eb9219e _dispatch_mgr_thread + 54

Thread 2:: com.apple.NSURLConnectionLoader
0   libsystem_kernel.dylib        	0x00007fff910c967a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff910c8d71 mach_msg + 73
2   com.apple.CoreFoundation      	0x00007fff9235529c __CFRunLoopServiceMachPort + 188
3   com.apple.CoreFoundation      	0x00007fff9235da04 __CFRunLoopRun + 1204
4   com.apple.CoreFoundation      	0x00007fff9235d216 CFRunLoopRunSpecific + 230
5   com.apple.Foundation          	0x00007fff9297fa97 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 335
6   com.apple.Foundation          	0x00007fff929741ea -[NSThread main] + 68
7   com.apple.Foundation          	0x00007fff92974162 __NSThread__main__ + 1575
8   libsystem_c.dylib             	0x00007fff95dcb8bf _pthread_start + 335
9   libsystem_c.dylib             	0x00007fff95dceb75 thread_start + 13

Thread 3:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff910cadf2 __select + 10
1   com.apple.CoreFoundation      	0x00007fff923a666b __CFSocketManager + 1355
2   libsystem_c.dylib             	0x00007fff95dcb8bf _pthread_start + 335
3   libsystem_c.dylib             	0x00007fff95dceb75 thread_start + 13

Thread 4:: WebCore: LocalStorage
0   libsystem_kernel.dylib        	0x00007fff910cabca __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff95dcf274 _pthread_cond_wait + 840
2   com.apple.JavaScriptCore      	0x00007fff917e3ba0 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 64
3   com.apple.WebCore             	0x00007fff92faa2ba WTF::MessageQueue<WebCore::LocalStorageTask>::waitForMessage() + 132
4   com.apple.WebCore             	0x00007fff92faa213 WebCore::LocalStorageThread::threadEntryPoint() + 99
5   com.apple.WebCore             	0x00007fff92faa15b WebCore::LocalStorageThread::threadEntryPointCallback(void*) + 9
6   libsystem_c.dylib             	0x00007fff95dcb8bf _pthread_start + 335
7   libsystem_c.dylib             	0x00007fff95dceb75 thread_start + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff910cb192 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff95dcd594 _pthread_wqthread + 758
2   libsystem_c.dylib             	0x00007fff95dceb85 start_wqthread + 13

Thread 6:
0   libsystem_kernel.dylib        	0x00007fff910cb192 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff95dcd594 _pthread_wqthread + 758
2   libsystem_c.dylib             	0x00007fff95dceb85 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x000000010f03b770  rcx: 0x000000010f03b770  rdx: 0x000000010f006e00
  rdi: 0x000000010f03b770  rsi: 0x0000000100702618  rbp: 0x00007fff5fbfec60  rsp: 0x00007fff5fbfec40
   r8: 0x00007fff5fbfebec   r9: 0x00007fff5fbfebe8  r10: 0x0000000104012790  r11: 0x5000000010f07d61
  r12: 0x000000010f03b770  r13: 0x0000000000000000  r14: 0x0000000100514d71  r15: 0x000000010f006e00
  rip: 0x00007fff8b286e90  rfl: 0x0000000000010246  cr2: 0x0000000102f08000
Logical CPU: 1

Binary Images:
       0x100000000 -        0x1001fbfff +com.adiumX.adiumX (1.5hgr4178 - 1.5hgr4178) <D5E66048-9A29-34CB-38D8-B5C9E7F07352> /Applications/Adium.app/Contents/MacOS/Adium
       0x1003f9000 -        0x100405ff7 +com.growl.growlframework (1.2.2 - 1.2.2) <C76D2B1C-5455-CFCA-6470-B8B171C14A16> /Applications/Adium.app/Contents/Frameworks/Growl.framework/Versions/A/Growl
       0x100411000 -        0x10047dfe7 +libotr (5.0.0 - compatibility 5.0.0) <9C60F931-677A-65D3-12AD-8D8A31CD566E> /Applications/Adium.app/Contents/Frameworks/libotr.framework/Versions/2.2.0/libotr
       0x100499000 -        0x100529fff +AIUtilities (??? - ???) <4B2C4619-A93F-E2A4-CF7A-EF0DFF668190> /Applications/Adium.app/Contents/Frameworks/AIUtilities.framework/Versions/A/AIUtilities
       0x100580000 -        0x1005f7ff7 +com.adiumX.AdiumPurple (??? - 1.0) <CB8D42C3-DA0A-7D51-8B9F-2F02384EA90A> /Applications/Adium.app/Contents/Frameworks/AdiumLibpurple.framework/Versions/A/AdiumLibpurple
       0x10067f000 -        0x10072ffff +Adium (??? - ???) <39A36673-F1EE-435D-DE8E-D018F3703827> /Applications/Adium.app/Contents/Frameworks/Adium.framework/Versions/A/Adium
       0x1007ec000 -        0x1008abfe7 +com.googlepages.openspecies.rtool.libglib (2.0.0 - 2.0.0) <5B1DCC5F-CA14-3446-B4A3-F7E04C126E17> /Applications/Adium.app/Contents/Frameworks/libglib.framework/Versions/2.0.0/libglib
       0x1008cd000 -        0x1008d0fff +com.googlepages.openspecies.rtool.libgmodule (2.0.0 - 2.0.0) <080DF418-C7AA-3C73-9EB4-BB0FE24BE1D3> /Applications/Adium.app/Contents/Frameworks/libgmodule.framework/Versions/2.0.0/libgmodule
       0x1008d3000 -        0x10090aff7 +com.googlepages.openspecies.rtool.libgobject (2.0.0 - 2.0.0) <750BA62F-A06E-39D8-9D52-F8FC2CF959A5> /Applications/Adium.app/Contents/Frameworks/libgobject.framework/Versions/2.0.0/libgobject
       0x10091c000 -        0x100920fff +com.googlepages.openspecies.rtool.libgthread (2.0.0 - 2.0.0) <A26D0F29-A310-39C9-86BA-F7D608BF338F> /Applications/Adium.app/Contents/Frameworks/libgthread.framework/Versions/2.0.0/libgthread
       0x100924000 -        0x10092cfff +com.googlepages.openspecies.rtool.libintl (8 - 8) <5F91371C-6264-3602-8022-6D94ECA53F86> /Applications/Adium.app/Contents/Frameworks/libintl.framework/Versions/8/libintl
       0x100931000 -        0x100956fff +com.googlepages.openspecies.rtool.libmeanwhile (1 - 1) <3E2AE849-CAD3-3F92-BFA5-92C231E2D997> /Applications/Adium.app/Contents/Frameworks/libmeanwhile.framework/Versions/1/libmeanwhile
       0x100967000 -        0x100b52fff +libpurple (11.0.0 - compatibility 11.0.0) <12F50A0B-BCDD-3866-B94D-607F6560BE62> /Applications/Adium.app/Contents/Frameworks/libpurple.framework/Versions/0.10.0/libpurple
       0x100c83000 -        0x100c92ff7 +com.dpompa.fribidi (??? - 1.0) <81188698-BBBA-C1C8-784E-F654E1F87E22> /Applications/Adium.app/Contents/Frameworks/FriBidi.framework/Versions/A/FriBidi
       0x102497000 -        0x1024b3fff +AutoHyperlinks (??? - ???) <DE7DF222-1B6D-4B14-99F3-41B684B56477> /Applications/Adium.app/Contents/Frameworks/AutoHyperlinks.framework/Versions/A/AutoHyperlinks
       0x1024bb000 -        0x1024bdfff  com.apple.ExceptionHandling (1.5 - 10) <06CC4716-FB75-3CD7-A1ED-ECA2A07F2926> /System/Library/Frameworks/ExceptionHandling.framework/Versions/A/ExceptionHandling
       0x1024c2000 -        0x1024ddfff +org.andymatuschak.Sparkle (1.5 Beta [git] - 561bbbe) <9E4ECC3F-D374-D1FF-2771-FF382099B73B> /Applications/Adium.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
       0x1024f3000 -        0x1024f7fff +org.boredzo.LMX (??? - 1.0) <1E2D15B9-8EE2-5BCA-6B93-4053E739E892> /Applications/Adium.app/Contents/Frameworks/LMX.framework/Versions/A/LMX
       0x1024fd000 -        0x102529fe7 +com.positivespinmedia.PSMTabBarControlFramework (??? - 1.1) <56C77676-3133-1051-9FCD-88523501D9C2> /Applications/Adium.app/Contents/Frameworks/PSMTabBarControl.framework/Versions/A/PSMTabBarControl
       0x102548000 -        0x10254dfff +net.oauth.OAuthConsumer (??? - 0.1.1) <2964DBFA-08CC-37A9-B493-349862A0108A> /Applications/Adium.app/Contents/Frameworks/OAuthConsumer.framework/Versions/A/OAuthConsumer
       0x10255a000 -        0x10256afff +com.googlepages.openspecies.rtool.libjson-glib (1.0.0 - 1.0.0) <D161C439-3795-3A18-84F8-6903B18B2296> /Applications/Adium.app/Contents/Frameworks/libjson-glib.framework/Versions/1.0.0/libjson-glib
       0x102579000 -        0x10261fff7 +com.googlepages.openspecies.rtool.libgstreamer (0.10.0 - 0.10.0) <DC9036DE-F620-31FE-B6F7-7883EF6B830F> /Applications/Adium.app/Contents/Frameworks/libgstreamer.framework/Versions/0.10.0/libgstreamer
       0x10268e000 -        0x10269bfff +com.googlepages.openspecies.rtool.libgstinterfaces (0.10.0 - 0.10.0) <16EA5FDC-1600-3904-A2C9-C637BB214A14> /Applications/Adium.app/Contents/Frameworks/libgstinterfaces.framework/Versions/0.10.0/libgstinterfaces
       0x1026aa000 -        0x1026b6fff +com.googlepages.openspecies.rtool.libgstfarsight (0.10.0 - 0.10.0) <A02DC41D-ED1B-3597-A25A-0A100DB067C2> /Applications/Adium.app/Contents/Frameworks/libgstfarsight.framework/Versions/0.10.0/libgstfarsight
       0x1026c2000 -        0x1026f5fef +com.googlepages.openspecies.rtool.libgstbase (0.10.0 - 0.10.0) <ABBD4C74-D24A-3EE6-BCD0-35A8D8D9FE59> /Applications/Adium.app/Contents/Frameworks/libgstbase.framework/Versions/0.10.0/libgstbase
       0x102711000 -        0x10271cfff +com.googlepages.openspecies.rtool.libgstapp (0.10.0 - 0.10.0) <2C92CA44-C39B-31E7-8129-7AFD31EC5918> /Applications/Adium.app/Contents/Frameworks/libgstapp.framework/Versions/0.10.0/libgstapp
       0x102725000 -        0x10272bfff +com.googlepages.openspecies.rtool.libgstnet (0.10.0 - 0.10.0) <BAD288A2-CB3E-320E-A1E4-7FE57E1DFA3C> /Applications/Adium.app/Contents/Frameworks/libgstnet.framework/Versions/0.10.0/libgstnet
       0x102730000 -        0x102733fff +com.googlepages.openspecies.rtool.libgstnetbuffer (0.10.0 - 0.10.0) <721BFEA1-B802-3F6E-B625-F425619D2EE1> /Applications/Adium.app/Contents/Frameworks/libgstnetbuffer.framework/Versions/0.10.0/libgstnetbuffer
       0x102737000 -        0x102747fff +com.googlepages.openspecies.rtool.libgstrtp (0.10.0 - 0.10.0) <A294019B-150C-3C7E-892D-34AC3A79802D> /Applications/Adium.app/Contents/Frameworks/libgstrtp.framework/Versions/0.10.0/libgstrtp
       0x102756000 -        0x102775ff7 +com.googlepages.openspecies.rtool.libnice (0 - 0) <FCA7AB0C-C951-35C5-8311-2D88BF390967> /Applications/Adium.app/Contents/Frameworks/libnice.framework/Versions/0/libnice
       0x10277e000 -        0x10279afe7 +com.googlepages.openspecies.rtool.libgstaudio (0.10.0 - 0.10.0) <FFC91AAF-10B0-3B73-A0F8-EB5C5EDC55F5> /Applications/Adium.app/Contents/Frameworks/libgstaudio.framework/Versions/0.10.0/libgstaudio
       0x1027ab000 -        0x1027ccfff +com.googlepages.openspecies.rtool.libgstcontroller (0.10.0 - 0.10.0) <F23881E4-2690-32D2-AF25-B5B9B691CFE7> /Applications/Adium.app/Contents/Frameworks/libgstcontroller.framework/Versions/0.10.0/libgstcontroller
       0x1027db000 -        0x1027e0fe7 +com.googlepages.openspecies.rtool.libgstdataprotocol (0.10.0 - 0.10.0) <2D853266-962C-3F10-BE06-F5BD5E1CEB3C> /Applications/Adium.app/Contents/Frameworks/libgstdataprotocol.framework/Versions/0.10.0/libgstdataprotocol
       0x1027e4000 -        0x1027f4fff +com.googlepages.openspecies.rtool.libgstrtsp (0.10.0 - 0.10.0) <19CE546D-4110-3B7A-8B8C-7F4307AEF3AA> /Applications/Adium.app/Contents/Frameworks/libgstrtsp.framework/Versions/0.10.0/libgstrtsp
       0x102802000 -        0x102809fff +com.googlepages.openspecies.rtool.libgstvideo (0.10.0 - 0.10.0) <9B53FF3F-A886-3976-B681-A9B870D31907> /Applications/Adium.app/Contents/Frameworks/libgstvideo.framework/Versions/0.10.0/libgstvideo
       0x10280f000 -        0x102854fef +com.googlepages.openspecies.rtool.liboil (0.3.0 - 0.3.0) <7DAFD6B2-1DD3-34A1-B1B9-DBBCC8A13FC0> /Applications/Adium.app/Contents/Frameworks/liboil.framework/Versions/0.3.0/liboil
       0x10289d000 -        0x1028a4fff +com.googlepages.openspecies.rtool.libgstsdp (0.10.0 - 0.10.0) <19B1D351-EE7B-3E34-BE59-E111522A1B06> /Applications/Adium.app/Contents/Frameworks/libgstsdp.framework/Versions/0.10.0/libgstsdp
       0x1028aa000 -        0x1028b8fe7 +com.googlepages.openspecies.rtool.libgsttag (0.10.0 - 0.10.0) <7B857ED3-DC3D-3C7C-8BF6-B61C91ABB2D8> /Applications/Adium.app/Contents/Frameworks/libgsttag.framework/Versions/0.10.0/libgsttag
       0x1028c2000 -        0x1029a5fff  libcrypto.0.9.7.dylib (0.9.7 - compatibility 0.9.7) <358B5B40-43B2-3F92-9FD3-DAA68806E1FF> /usr/lib/libcrypto.0.9.7.dylib
       0x102df2000 -        0x102df6fff  com.apple.audio.AudioIPCPlugIn (1.2.0 - 1.2.0) <1EAF877E-4F15-39F7-89FA-D362AA4DA9DE> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
       0x102f83000 -        0x102f89fff  com.apple.audio.AppleHDAHALPlugIn (2.1.1 - 2.1.1f12) <B2B0AAA1-157C-3E65-B8A1-79C50D0191A3> /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
       0x102fe1000 -        0x102fe3fff  com.apple.AddressBook.LocalSourceBundle (1.1 - 1043) <E6A2DAEA-2AE7-3759-A8E5-D354007FDD4B> /System/Library/Address Book Plug-Ins/LocalSource.sourcebundle/Contents/MacOS/LocalSource
       0x102ff5000 -        0x102ff8fff  com.apple.DirectoryServicesSource (1.1 - 1043) <B1B5FB51-29C4-3D13-AE52-D344C6EE11AE> /System/Library/Address Book Plug-Ins/DirectoryServices.sourcebundle/Contents/MacOS/DirectoryServices
       0x1053f9000 -        0x1053fbfff  libplain.2.so (??? - ???) <C98A873A-4373-3E3A-8257-D9BB5F857C85> /usr/lib/sasl2/libplain.2.so
       0x10565b000 -        0x105689ff7  GLRendererFloat (??? - ???) <AB59F7EA-62B1-3AA6-B940-47C0B6BC6DD9> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
       0x105eee000 -        0x105ef0fff  apop.so (??? - ???) <B40CE86C-1757-3261-848C-F166F3D513EA> /usr/lib/sasl2/apop.so
       0x105ef4000 -        0x105ef6fff  libanonymous.2.so (??? - ???) <99136B94-8BE0-3563-9E2A-9C826971B6E9> /usr/lib/sasl2/libanonymous.2.so
       0x105efa000 -        0x105efcfff  login.so (??? - ???) <48CD069F-68F5-32C4-BFAC-AC0EFB7B9489> /usr/lib/sasl2/login.so
       0x1061fe000 -        0x106207fff  digestmd5WebDAV.so (??? - ???) <8D39C8C0-ACCE-34D4-815A-87825A1A4492> /usr/lib/sasl2/digestmd5WebDAV.so
       0x10620c000 -        0x10620cff5 +cl_kernels (??? - ???) <243A6969-C902-43DA-A6DB-577BE5793D60> cl_kernels
       0x1064cd000 -        0x1064d1fff  libpps.so (??? - ???) <26172BC5-1758-3BE6-9B8D-F254A727478A> /usr/lib/sasl2/libpps.so
       0x1064d6000 -        0x1064d9ff7  mschapv2.so (??? - ???) <F62C8BE2-B2E4-3E36-AC52-B4E149AFC186> /usr/lib/sasl2/mschapv2.so
       0x1064e0000 -        0x1064e3fff  libcrammd5.2.so (??? - ???) <5EEE3304-D132-3C9B-A54D-C21D7C34DA28> /usr/lib/sasl2/libcrammd5.2.so
       0x1064e8000 -        0x1064f1fff  libdigestmd5.2.so (??? - ???) <6DD64225-CFFF-379B-A5BA-5409F777F307> /usr/lib/sasl2/libdigestmd5.2.so
       0x1064f6000 -        0x1064fbfff  libgssapiv2.2.so (??? - ???) <DC1BA305-26FA-3CC7-8400-6A45521EF2A3> /usr/lib/sasl2/libgssapiv2.2.so
       0x106600000 -        0x106605fff  libntlm.so (??? - ???) <1B9D16BE-D0DB-31A3-8B84-7830509B5ECA> /usr/lib/sasl2/libntlm.so
       0x10660a000 -        0x106611fff  libotp.2.so (??? - ???) <1DDBDDF7-3F84-3AF0-A878-9E64EEBE0ED5> /usr/lib/sasl2/libotp.2.so
       0x10661a000 -        0x106648fff  com.apple.DirectoryService.PasswordServerFramework (7.0 - 7.0) <2C10A1AC-CEFF-3215-A398-C75818082C8D> /System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer
       0x10665d000 -        0x106660fff  shadow_auxprop.so (??? - ???) <DF9DE842-FBFA-368A-AA8C-E29CF334FF69> /usr/lib/sasl2/shadow_auxprop.so
       0x106665000 -        0x106667fff  smb_nt.so (??? - ???) <C6D59817-4DB8-34F9-BD71-2FDDA857CBA8> /usr/lib/sasl2/smb_nt.so
       0x10666b000 -        0x10666efff  smb_ntlmv2.so (??? - ???) <A2FD1300-B742-32BE-B640-74732490CC94> /usr/lib/sasl2/smb_ntlmv2.so
       0x106685000 -        0x10669bfff  dhx.so (??? - ???) <9AB7809C-2651-3FCF-9357-8E1CDEAB6466> /usr/lib/sasl2/dhx.so
       0x1066ee000 -        0x1066f1ff7  libCoreFSCache.dylib (??? - ???) <783C2402-CA3F-3D9B-B909-0F251145CF1D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
       0x1069a5000 -        0x1069abfef  libcldcpuengine.dylib (1.50.61 - compatibility 1.0.0) <EAC03E33-595E-3829-8199-479FA5CD9987> /System/Library/Frameworks/OpenCL.framework/Libraries/libcldcpuengine.dylib
       0x106c00000 -        0x106c92ff7  com.apple.xquery (1.3 - 29) <02B0E724-CC18-3D60-8FBE-8BDB458C155A> /System/Library/PrivateFrameworks/XQuery.framework/XQuery
       0x1097c9000 -        0x10985cff7  unorm8_bgra.dylib (1.50.61 - compatibility 1.0.0) <3ED8B0D5-4A55-3E39-8490-B7BC1780F67B> /System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_bgra.dylib
       0x10ab5d000 -        0x10acf5ff7  GLEngine (??? - ???) <EE6CCAE3-1CA1-3C5E-A83C-BB56AB413AB3> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
       0x10ad28000 -        0x10ae21fff  libGLProgrammability.dylib (??? - ???) <7B17211F-D04C-3916-8176-1930C24BA421> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
       0x10ae47000 -        0x10b0cefe7  com.apple.ATIRadeonX1000GLDriver (7.0.52 - 7.0.0) <2EF696D5-4B57-3B3C-8738-A9C28B612354> /System/Library/Extensions/ATIRadeonX1000GLDriver.bundle/Contents/MacOS/ATIRadeonX1000GLDriver
    0x7fff642e9000 -     0x7fff6431dac7  dyld (195.5 - ???) <4A6E2B28-C7A2-3528-ADB7-4076B9836041> /usr/lib/dyld
    0x7fff89942000 -     0x7fff89947ff7  libsystem_network.dylib (??? - ???) <4ABCEEF3-A3F9-3E06-9682-CE00F17138B7> /usr/lib/system/libsystem_network.dylib
    0x7fff89948000 -     0x7fff89d63ff7  com.apple.RawCamera.bundle (3.7.2 - 573) <FF8D349E-E8DF-3D12-91E9-BA00C13D5359> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff89d64000 -     0x7fff89d6eff7  liblaunch.dylib (392.18.0 - compatibility 1.0.0) <39EF04F2-7F0C-3435-B785-BF283727FFBD> /usr/lib/system/liblaunch.dylib
    0x7fff89db6000 -     0x7fff89e9dfff  com.apple.backup.framework (1.3 - 1.3) <C7F0B3B6-EAC1-3445-A705-E9F18A45D01D> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff89e9e000 -     0x7fff89e9fff7  libremovefile.dylib (21.0.0 - compatibility 1.0.0) <C6C49FB7-1892-32E4-86B5-25AD165131AA> /usr/lib/system/libremovefile.dylib
    0x7fff89ea0000 -     0x7fff89eaffff  com.apple.opengl (1.7.4 - 1.7.4) <38AF4430-7E81-3C98-9330-21DCDA90507E> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff89eb0000 -     0x7fff8a357ff7  FaceCoreLight (1.4.2 - compatibility 1.0.0) <6F89E9A9-DEB6-32B5-8B50-3B97F5DB597D> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff8a438000 -     0x7fff8a47aff7  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <A5B9778E-11C3-3F61-B740-1F2114E967FB> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8a47b000 -     0x7fff8a49afff  libresolv.9.dylib (46.0.0 - compatibility 1.0.0) <33263568-E6F3-359C-A4FA-66AD1300F7D4> /usr/lib/libresolv.9.dylib
    0x7fff8abd4000 -     0x7fff8abeffff  libexpat.1.dylib (7.2.0 - compatibility 7.0.0) <DDB91E75-A2FA-331F-8069-999127AC6A9D> /usr/lib/libexpat.1.dylib
    0x7fff8ac81000 -     0x7fff8acd5ff7  com.apple.ScalableUserInterface (1.0 - 1) <1873D7BE-2272-31A1-8F85-F70C4D706B3B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff8acd6000 -     0x7fff8ad70ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <B7573888-BAF6-333D-AB00-C0D2BF88DF0F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff8ad71000 -     0x7fff8ad7efff  libCSync.A.dylib (600.0.0 - compatibility 64.0.0) <931F40EB-CA75-3A90-AC97-4DB8E210BC76> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff8ad7f000 -     0x7fff8ad83fff  libdyld.dylib (195.5.0 - compatibility 1.0.0) <F1903B7A-D3FF-3390-909A-B24E09BAD1A5> /usr/lib/system/libdyld.dylib
    0x7fff8ae27000 -     0x7fff8ae44ff7  com.apple.openscripting (1.3.3 - ???) <A64205E6-D3C5-3E12-B1A0-72243151AF7D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8ae51000 -     0x7fff8b217fff  com.apple.MediaToolbox (1.0 - 705.35) <EC6755D1-58BC-36F5-AB66-143D03A0AF8C> /System/Library/PrivateFrameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff8b218000 -     0x7fff8b21cfff  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542> /usr/lib/system/libmathCommon.A.dylib
    0x7fff8b21d000 -     0x7fff8b224ff7  com.apple.CommerceCore (1.0 - 17) <AA783B87-48D4-3CA6-8FF6-0316396022F4> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff8b225000 -     0x7fff8b27cfff  libTIFF.dylib (??? - ???) <9E32B490-4C5B-3D96-AF27-9C085C606403> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8b27d000 -     0x7fff8b361def  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <C5F2392D-B481-3A9D-91BE-3D039FFF4DEC> /usr/lib/libobjc.A.dylib
    0x7fff8b362000 -     0x7fff8b3c2fff  libvDSP.dylib (325.3.0 - compatibility 1.0.0) <74B62E70-4189-3022-8FC9-1182EA7C6E34> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8b3c3000 -     0x7fff8b3ceff7  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib
    0x7fff8b3cf000 -     0x7fff8b640fff  com.apple.CoreImage (7.77 - 1.0.1) <AB6ECCF3-4B04-3363-9158-08F305BF15FA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff8b641000 -     0x7fff8b644fff  com.apple.AppleSystemInfo (1.0 - 1) <598ADC13-C994-3579-A885-0D6658DDD564> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff8b66a000 -     0x7fff8b71cfff  com.apple.CoreText (4.0.0 - ???) <D7BD85FD-277A-3A97-B1AD-5EE14215237E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8b749000 -     0x7fff8b790ff7  com.apple.CoreMedia (1.0 - 705.35) <6BEC7E0A-BC2E-30DA-8E18-7AF6E8A7821F> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff8b791000 -     0x7fff8b7fbfff  com.apple.framework.IOKit (2.0 - ???) <F79E7690-EF97-3D04-BA22-177E256803AF> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8b7fc000 -     0x7fff8b7fcfff  com.apple.ApplicationServices (41 - 41) <03F3FA8F-8D2A-3AB6-A8E3-40B001116339> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff8b7fd000 -     0x7fff8b89fff7  com.apple.securityfoundation (5.0 - 55005) <0D59908C-A61B-389E-AF37-741ACBBA6A94> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8b8a0000 -     0x7fff8b8a3ff7  com.apple.securityhi (4.0 - 1) <B37B8946-BBD4-36C1-ABC6-18EDBC573F03> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff8b8a4000 -     0x7fff8b9ddfef  com.apple.vImage (5.0 - 5.0) <C45D2CBE-FA15-3D13-9E9D-A3BF57B84BBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff8b9de000 -     0x7fff8bc4cff7  com.apple.QuartzComposer (5.0 - 232) <CE01B3AC-C19F-3148-9301-615E8FD6F356> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
    0x7fff8bc4d000 -     0x7fff8bcdffff  com.apple.PDFKit (2.6 - 2.6) <F838E95F-DEE9-354A-A34A-F5335D0AF1E1> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
    0x7fff8bce6000 -     0x7fff8bd03ff7  libxpc.dylib (77.16.0 - compatibility 1.0.0) <0A4B4775-29A9-30D6-956B-3BE1DBF98090> /usr/lib/system/libxpc.dylib
    0x7fff8bd04000 -     0x7fff8bd9aff7  libvMisc.dylib (325.3.0 - compatibility 1.0.0) <AC5A384A-FA5A-3307-9CED-BD69E6F12A09> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8bd9b000 -     0x7fff8be7bfff  com.apple.CoreServices.OSServices (478.25.1 - 478.25.1) <E7FD4DB7-7844-355A-83D0-C1F24BE71019> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8be7c000 -     0x7fff8bebbfff  com.apple.AE (527.6 - 527.6) <6F8DF9EF-3250-3B7F-8841-FCAD8E323954> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8bebc000 -     0x7fff8beceff7  libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib
    0x7fff8bf45000 -     0x7fff8bf6efff  com.apple.CoreServicesInternal (113.7 - 113.7) <ACAC98CD-5941-39DB-951A-2509DCCD22FD> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff8bf72000 -     0x7fff8bf7bfff  libnotify.dylib (80.0.0 - compatibility 1.0.0) <BD08553D-8088-38A8-8007-CF5C0B8F0404> /usr/lib/system/libnotify.dylib
    0x7fff8bf7c000 -     0x7fff8bfa2ff7  com.apple.framework.familycontrols (3.0 - 300) <72FEA71A-5865-3875-97E9-3C8C96B7F7FA> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff8bfa3000 -     0x7fff8bfbfff7  com.apple.GenerationalStorage (1.0 - 124) <C0290CA0-A2A0-3280-9442-9D783883D638> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8c09f000 -     0x7fff8c0a2fff  libRadiance.dylib (??? - ???) <DCDA308D-4856-3631-B6D7-7A8B94169BC0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff8c0f8000 -     0x7fff8c16bfff  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /usr/lib/libstdc++.6.dylib
    0x7fff8c16c000 -     0x7fff8c170fff  libCGXType.A.dylib (600.0.0 - compatibility 64.0.0) <5EEAD17D-006C-3855-8093-C7A4A97EE0D0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff8c171000 -     0x7fff8c1bfff7  libauto.dylib (??? - ???) <F0004B88-CA01-37D0-A77F-6651C4EC7D8E> /usr/lib/libauto.dylib
    0x7fff8c21b000 -     0x7fff8c21bfff  com.apple.quartzframework (1.5 - 1.5) <21FCC91F-C7B9-304F-8C9C-04F3924F4AE3> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
    0x7fff8c21c000 -     0x7fff8c21eff7  com.apple.print.framework.Print (7.0 - 247) <579D7E49-A7F4-3C41-9434-3114B8A9B96C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8c230000 -     0x7fff8c549ff7  com.apple.AddressBook.framework (6.0 - 1043) <A6302279-FD1B-3BB7-8419-362425FC5568> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
    0x7fff8c612000 -     0x7fff8c641fff  com.apple.DictionaryServices (1.2 - 158) <2CE51CD1-EE3D-3618-9507-E39A09C9BB8D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8c67d000 -     0x7fff8c682fff  libcache.dylib (47.0.0 - compatibility 1.0.0) <B7757E2E-5A7D-362E-AB71-785FE79E1527> /usr/lib/system/libcache.dylib
    0x7fff8c683000 -     0x7fff8c6f8ff7  libc++.1.dylib (19.0.0 - compatibility 1.0.0) <C0EFFF1B-0FEB-3F99-BE54-506B35B555A9> /usr/lib/libc++.1.dylib
    0x7fff8c704000 -     0x7fff8c796fff  com.apple.CorePDF (3.0 - 3.0) <6056B710-155A-3543-9373-B9F3E5FC99CE> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fff8c7d6000 -     0x7fff8c7d7fff  liblangid.dylib (??? - ???) <CACBE3C3-2F7B-3EED-B50E-EDB73F473B77> /usr/lib/liblangid.dylib
    0x7fff8c7d8000 -     0x7fff8c812fef  com.apple.DebugSymbols (2.1 - 85) <7E0E17D9-C8D4-3117-B36A-506929F6FF72> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8c813000 -     0x7fff8c852ff7  libGLImage.dylib (??? - ???) <29F82AD9-45F0-3AC5-A4A4-B767EC555D82> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff8c853000 -     0x7fff8ca14fe7  com.apple.CoreData (103 - 358.4) <8D8ABA2E-0161-334D-A7C9-79E5297E188B> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8ca15000 -     0x7fff8ca56fff  com.apple.QD (3.12 - ???) <4F3C5629-97C7-3E55-AF3C-ACC524929DA2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff8ca57000 -     0x7fff8caa7fff  com.apple.CoreMediaIO (201.0 - 3148) <66287EB0-61F1-3175-90DC-24BB29473C67> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fff8caaa000 -     0x7fff8cab5ff7  com.apple.speech.recognition.framework (4.0.19 - 4.0.19) <7ADAAF5B-1D78-32F2-9FFF-D2E3FBB41C2B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff8cab6000 -     0x7fff8cb0aff7  com.apple.ImageCaptureCore (3.0 - 3.0) <C829E6A3-3EB6-3E1C-B9B8-759F56E34D3A> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
    0x7fff8cb0b000 -     0x7fff8cb67ff7  com.apple.QuickLookFramework (3.0 - 489.1) <26470DFE-B3D7-3E05-A4D7-98B64FCB230B> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
    0x7fff8cb87000 -     0x7fff8cb8afff  com.apple.help (1.3.2 - 42) <AB67588E-7227-3993-927F-C9E6DAC507FD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff8d1a7000 -     0x7fff8d1acfff  com.apple.OpenDirectory (10.7 - 144) <E8AACF47-C423-3DCE-98F6-A811612B1B46> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff8d1ad000 -     0x7fff8d1b3fff  com.apple.DiskArbitration (2.4 - 2.4) <5185FEA6-92CA-3CAA-8442-BD71DBC64AFD> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8d1b4000 -     0x7fff8d1c8ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <04C31EF0-912A-3004-A08F-CEC27030E0B2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff8d1c9000 -     0x7fff8d1d0fff  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <172B1985-F24A-34E9-8D8B-A2403C9A0399> /usr/lib/system/libcopyfile.dylib
    0x7fff8d2c2000 -     0x7fff8d301ff7  libcups.2.dylib (2.9.0 - compatibility 2.0.0) <DE681910-3F7F-3502-9937-AB8008CD281A> /usr/lib/libcups.2.dylib
    0x7fff8d302000 -     0x7fff8d304fff  libCVMSPluginSupport.dylib (??? - ???) <2D21E6BE-CB20-3F76-8DCC-1CB0660A8A5B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff8d34a000 -     0x7fff8d35dff7  libCRFSuite.dylib (??? - ???) <034D4DAA-63F0-35E4-BCEF-338DD7A453DD> /usr/lib/libCRFSuite.dylib
    0x7fff8d35e000 -     0x7fff8d3c0ff7  com.apple.coreui (0.3 - 162) <A752F9D0-1CAE-340F-B2D2-95EEF242B301> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8d3c1000 -     0x7fff8d3c1fff  com.apple.audio.units.AudioUnit (1.7 - 1.7) <D75971EE-0D74-365A-8E52-46558EA49E87> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8d3c2000 -     0x7fff8d5c4fff  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <82DCB94B-3819-3CC3-BC16-2AACA7F64F8A> /usr/lib/libicucore.A.dylib
    0x7fff8d5c5000 -     0x7fff8d5d1fff  com.apple.DirectoryService.Framework (10.7 - 144) <067ACB41-E9B7-3177-9EDE-C188D9B352DC> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fff8d920000 -     0x7fff8d926ff7  com.apple.phonenumbers (1.0 - 47) <8CE13253-C65B-392F-B87F-D85A15D500D3> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
    0x7fff8d927000 -     0x7fff8da3cfff  com.apple.DesktopServices (1.6.0 - 1.6.0) <208D40FC-8BBE-330F-B999-18771BEA6895> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8da3d000 -     0x7fff8e10b9df  com.apple.CoreGraphics (1.600.0 - ???) <B3C42497-53F5-31BB-987E-D1E76746B0E4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8e122000 -     0x7fff8e1a6ff7  com.apple.ApplicationServices.ATS (5.0 - ???) <F10B1918-A06E-3ECF-85EF-05F0CF27187E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff8e456000 -     0x7fff8e499ff7  libRIP.A.dylib (600.0.0 - compatibility 64.0.0) <2B1571E1-8E87-364E-BC36-C9C9B5D3EAC4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff8e4da000 -     0x7fff8e555ff7  com.apple.print.framework.PrintCore (7.0 - 366) <E663DF78-6729-332D-B763-ABB63A6BBB55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8e556000 -     0x7fff8e652ff7  com.apple.avfoundation (2.0 - 180.23) <C4383696-561D-33F3-AD7C-51E672F580B2> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
    0x7fff8e653000 -     0x7fff8e75ffef  libcrypto.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <3AD29F8D-E3BC-3F49-A438-2C8AAB71DC99> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8e760000 -     0x7fff8e766ff7  libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /usr/lib/system/libunwind.dylib
    0x7fff8e767000 -     0x7fff8e7ddfff  com.apple.ISSupport (1.9.8 - 56) <2CEE7E6B-D841-36D8-BC9F-081B33F6E501> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
    0x7fff8e7de000 -     0x7fff8e7defff  com.apple.Carbon (153 - 153) <895C2BF2-1666-3A59-A669-311B1F4F368B> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff8e7df000 -     0x7fff8e807ff7  com.apple.CoreVideo (1.7 - 70.0) <59D5B407-CCB6-3406-8C55-C1B0168D7DC2> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8e808000 -     0x7fff8e833fff  libpcre.0.dylib (1.1.0 - compatibility 1.0.0) <7D3CDB0A-840F-3856-8F84-B4A50E66431B> /usr/lib/libpcre.0.dylib
    0x7fff8eb90000 -     0x7fff8eb9efff  libdispatch.dylib (187.5.0 - compatibility 1.0.0) <698F8EFB-7075-3111-94E3-891156C88172> /usr/lib/system/libdispatch.dylib
    0x7fff8eb9f000 -     0x7fff8eba7fff  libsystem_dnssd.dylib (??? - ???) <7749128E-D0C5-3832-861C-BC9913F774FA> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff8ebb4000 -     0x7fff8f7acfff  com.apple.AppKit (6.7 - 1138) <C8D2FDDA-B9D5-3948-A376-6B9B6F0596C6> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff8f7d5000 -     0x7fff8f95fff7  com.apple.QTKit (7.7.1 - 2246) <C8A57DE8-A86A-34B6-B6BA-565EE3B6D140> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fff8f960000 -     0x7fff8f96bfff  com.apple.CommonAuth (2.1 - 2.0) <49949286-61FB-3A7F-BF49-0EBA45E2664E> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8fb8d000 -     0x7fff8fd17fff  com.apple.WebKit (7534 - 7534.48.3) <03AC8252-B3A1-3A7C-9DAF-99CC9DC56D5D> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
    0x7fff8fd18000 -     0x7fff8fd23fff  com.apple.DisplayServicesFW (2.5.0 - 302.1.2) <36377733-C737-3F36-A601-85D6188A2AAA> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
    0x7fff8fd24000 -     0x7fff8fd92fff  com.apple.CoreSymbolication (2.1 - 67) <194A355B-58C7-3B1E-A714-00F71ACCDB0A> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8fd93000 -     0x7fff8fd93fff  com.apple.vecLib (3.7 - vecLib 3.7) <29927F20-262F-379C-9108-68A6C69A03D0> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8fd94000 -     0x7fff8fd94fff  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075> /usr/lib/system/libkeymgr.dylib
    0x7fff8fd95000 -     0x7fff8fde8fff  com.apple.AppleVAFramework (5.0.14 - 5.0.14) <5FA4AED9-8E55-389C-9F5B-02FFE5BCBB75> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff8fe24000 -     0x7fff90147fff  com.apple.HIToolbox (1.7 - ???) <10FA3432-6638-39D9-8681-9E95298D239E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff90148000 -     0x7fff90148fff  com.apple.CoreServices (53 - 53) <5946A0A6-393D-3087-86A0-4FFF6A305CC0> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff9018f000 -     0x7fff90190fff  libsystem_sandbox.dylib (??? - ???) <8D14139B-B671-35F4-9E5A-023B4C523C38> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff90243000 -     0x7fff90248fff  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A> /usr/lib/system/libcompiler_rt.dylib
    0x7fff90249000 -     0x7fff90327ff7  com.apple.ImageIO.framework (3.1.0 - 3.1.0) <70228E69-063C-32FF-BBE7-FCCD9C5C0864> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff90359000 -     0x7fff90384ff7  libxslt.1.dylib (3.24.0 - compatibility 3.0.0) <8051A3FC-7385-3EA9-9634-78FC616C3E94> /usr/lib/libxslt.1.dylib
    0x7fff903a4000 -     0x7fff90414fff  com.apple.datadetectorscore (3.0 - 179.3) <AFFBD606-91DE-3F91-8E38-C037D9FBFA8B> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff90415000 -     0x7fff90438ff7  com.apple.RemoteViewServices (1.0 - 1) <EB549657-8EDC-312A-B8BE-DEC3E160AC3D> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff90439000 -     0x7fff9043bfff  libquarantine.dylib (36.0.0 - compatibility 1.0.0) <4C3BFBC7-E592-3939-B376-1C2E2D7C5389> /usr/lib/system/libquarantine.dylib
    0x7fff9043c000 -     0x7fff9044afff  com.apple.NetAuth (1.0 - 3.0) <F384FFFD-70F6-3B1C-A886-F5B446E456E7> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff90459000 -     0x7fff904c0ff7  com.apple.audio.CoreAudio (4.0.0 - 4.0.0) <0B715012-C8E8-386D-9C6C-90F72AE62A2F> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff904c1000 -     0x7fff90660fff  com.apple.QuartzCore (1.7 - 269.0) <E0AFC745-4AC5-36E3-9827-E5344721071D> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff90661000 -     0x7fff90685ff7  com.apple.Kerberos (1.0 - 1) <2FF2569B-F59A-371E-AF33-66297F512CB3> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff9068c000 -     0x7fff906b9ff7  com.apple.opencl (1.50.62 - 1.50.62) <616ADE61-11D1-3816-A255-3F0F80F2EAC8> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff906f8000 -     0x7fff90734fff  libsystem_info.dylib (??? - ???) <BC49C624-1DAB-3A37-890F-6EFD46538424> /usr/lib/system/libsystem_info.dylib
    0x7fff90735000 -     0x7fff90752fff  libPng.dylib (??? - ???) <75DA9F95-C2A1-3534-9F8B-14CFFDE2A290> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff90753000 -     0x7fff907bafff  com.apple.Symbolication (1.2 - 87) <C8F38870-0C4E-3A7F-9B12-0E970DE92F24> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff908b6000 -     0x7fff908b9fff  libCoreVMClient.dylib (??? - ???) <9E9F7B24-567C-3102-909C-219CF2B191FD> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff90a63000 -     0x7fff90a64fff  libunc.dylib (24.0.0 - compatibility 1.0.0) <C67B3B14-866C-314F-87FF-8025BEC2CAAC> /usr/lib/system/libunc.dylib
    0x7fff910b4000 -     0x7fff910d4fff  libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <69F2F501-72D8-3B3B-8357-F4418B3E1348> /usr/lib/system/libsystem_kernel.dylib
    0x7fff910e7000 -     0x7fff91101fff  com.apple.CoreMediaAuthoring (2.0 - 889) <99D8E4C6-DDD3-3B0C-BBFB-A513877F10F6> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fff91102000 -     0x7fff91534fe7  com.apple.VideoToolbox (1.0 - 705.35) <B1B9F159-EEE2-38BB-A55E-CDB335A7A226> /System/Library/PrivateFrameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff91535000 -     0x7fff9155efff  libJPEG.dylib (??? - ???) <3DBFEB41-4BF2-3502-872A-BB3738EE61B0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff9155f000 -     0x7fff916c2fff  com.apple.CFNetwork (520.0.13 - 520.0.13) <67E3BB43-2A22-3F5A-964E-391375B24CE0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff916c3000 -     0x7fff916fefff  com.apple.LDAPFramework (3.0 - 120.1) <0C23534F-A8E7-3144-B2B2-50F9875101E2> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff916ff000 -     0x7fff91700fff  libDiagnosticMessagesClient.dylib (??? - ???) <3DCF577B-F126-302B-BCE2-4DB9A95B8598> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff91731000 -     0x7fff9173ffff  com.apple.HelpData (2.1.0 - 68) <A2C4DDC9-2ECB-37C0-A2E3-D01168EE31F7> /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
    0x7fff91740000 -     0x7fff91740fff  com.apple.Accelerate (1.7 - Accelerate 1.7) <3E4582EB-CFEF-34EA-9DA8-8421F1C3C77D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff91745000 -     0x7fff91747fff  com.apple.TrustEvaluationAgent (2.0 - 1) <80AFB5D8-5CC4-3A38-83B9-A7DF5820031A> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff917d9000 -     0x7fff919e6fff  com.apple.JavaScriptCore (7534 - 7534.48) <99B60407-592A-3DDC-A3D0-86578B92B3F8> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fff919e7000 -     0x7fff919e7fff  com.apple.Accelerate.vecLib (3.7 - vecLib 3.7) <4CC14F7C-BCA7-3CAC-BEC9-B06576E5A15B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff919e8000 -     0x7fff919fefff  libGL.dylib (??? - ???) <22064411-0A62-373C-828B-0AA2BA2A8D34> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff91a48000 -     0x7fff91d1ffff  com.apple.security (7.0 - 55010) <2418B583-D3BD-3BC5-8B07-8289C8A5B43B> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff91d20000 -     0x7fff91d55fff  com.apple.securityinterface (5.0 - 55004) <790DDF7E-6BA9-36DD-B818-2322A712E1F5> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
    0x7fff91d56000 -     0x7fff91d7dfff  com.apple.PerformanceAnalysis (1.10 - 10) <2A058167-292E-3C3A-B1F8-49813336E068> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff91d7e000 -     0x7fff91dbefff  libtidy.A.dylib (??? - ???) <E500CDB9-C010-3B1A-B995-774EE64F39BE> /usr/lib/libtidy.A.dylib
    0x7fff91dbf000 -     0x7fff91e11ff7  libGLU.dylib (??? - ???) <C3CE8BA0-470F-3BCE-B17C-A31E70E035F2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff91e12000 -     0x7fff91e24ff7  libbsm.0.dylib (??? - ???) <349BB16F-75FA-363F-8D98-7A9C3FA90A0D> /usr/lib/libbsm.0.dylib
    0x7fff91e25000 -     0x7fff92240fff  com.apple.SceneKit (2.0 - 124) <9E331DDE-BDF4-34C5-A8F9-E7F12ADBB785> /System/Library/PrivateFrameworks/SceneKit.framework/Versions/A/SceneKit
    0x7fff92241000 -     0x7fff922c3fff  com.apple.Metadata (10.7.0 - 627.9) <F293A9A7-9790-3629-BE81-D19C158C5EA4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff922c4000 -     0x7fff9230ffff  com.apple.SystemConfiguration (1.11 - 1.11) <0B02FEC4-C36E-32CB-8004-2214B6793AE8> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff92325000 -     0x7fff924f8ff7  com.apple.CoreFoundation (6.7 - 635) <57446B22-0778-3E07-9690-96AC705D57E8> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff924f9000 -     0x7fff925eefff  libiconv.2.dylib (7.0.0 - compatibility 7.0.0) <5C40E880-0706-378F-B864-3C2BD922D926> /usr/lib/libiconv.2.dylib
    0x7fff925ef000 -     0x7fff925effff  com.apple.Cocoa (6.6 - ???) <021D4214-9C23-3CD8-AFB2-F331697A4508> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff925f6000 -     0x7fff92626fff  com.apple.shortcut (2.0 - 2.0) <6E6C9F01-5DAC-35F4-876D-082D915EE782> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
    0x7fff92627000 -     0x7fff9263efff  com.apple.CFOpenDirectory (10.7 - 144) <9709423E-8484-3B26-AAE8-EF58D1B8FB3F> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff92669000 -     0x7fff926c3fff  com.apple.HIServices (1.9 - ???) <8791E8AA-C034-330D-B2BA-5141154C21CD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff9291a000 -     0x7fff92c2cfff  com.apple.Foundation (6.7 - 833.1) <618D7923-3519-3C53-9CBD-CF3C7130CB32> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff92c2d000 -     0x7fff92c31ff7  com.apple.CommonPanels (1.2.5 - 94) <0BB2C436-C9D5-380B-86B5-E355A7711259> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff92c40000 -     0x7fff92ebaff7  com.apple.imageKit (2.1 - 1.0) <03200568-184B-36E8-AFE9-04D1FACDC926> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
    0x7fff92ebb000 -     0x7fff92ed2fff  com.apple.MultitouchSupport.framework (220.62 - 220.62) <7EF58A7E-CB97-335F-A025-4A0F00AEF896> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff92ed3000 -     0x7fff92ed8fff  libpam.2.dylib (3.0.0 - compatibility 3.0.0) <D952F17B-200A-3A23-B9B2-7C1F7AC19189> /usr/lib/libpam.2.dylib
    0x7fff92ed9000 -     0x7fff92f78fff  com.apple.LaunchServices (480.19 - 480.19) <41ED4C8B-C74B-34EA-A9BF-34DBA5F52307> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff92f87000 -     0x7fff93c80fef  com.apple.WebCore (7534 - 7534.48.3) <7C5A681C-3749-382C-9551-C197EF878C22> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
    0x7fff93c81000 -     0x7fff93c8eff7  libbz2.1.0.dylib (1.0.5 - compatibility 1.0.0) <8EDE3492-D916-37B2-A066-3E0F054411FD> /usr/lib/libbz2.1.0.dylib
    0x7fff93c9a000 -     0x7fff93cc0fff  com.apple.framework.internetaccounts (1.0 - 1) <64CC50BB-9EE4-36D1-969A-FDD2210026DC> /System/Library/PrivateFrameworks/InternetAccounts.framework/Versions/A/InternetAccounts
    0x7fff93d92000 -     0x7fff93d93fff  com.apple.MonitorPanelFramework (1.4.0 - 1.4.0) <0F55CD76-DB24-309B-BD12-62B00C1AAB9F> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
    0x7fff93d94000 -     0x7fff93e38fef  com.apple.ink.framework (1.3.2 - 110) <F69DBD44-FEC8-3C14-8131-CC0245DBBD42> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff93e39000 -     0x7fff93f3bff7  libxml2.2.dylib (10.3.0 - compatibility 10.0.0) <D46F371D-6422-31B7-BCE0-D80713069E0E> /usr/lib/libxml2.2.dylib
    0x7fff93f3c000 -     0x7fff93f3dff7  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib
    0x7fff93f3e000 -     0x7fff94041fff  libsqlite3.dylib (9.6.0 - compatibility 9.0.0) <ED5E84C6-646D-3B70-81D6-7AF957BEB217> /usr/lib/libsqlite3.dylib
    0x7fff9406c000 -     0x7fff9409ffff  com.apple.GSS (2.1 - 2.0) <A150154E-40D3-345B-A92D-3A023A55AC52> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff940a0000 -     0x7fff943b9fff  com.apple.CoreServices.CarbonCore (960.13 - 960.13) <398ABDD7-BB95-3C05-96D2-B54243FC4745> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff943ba000 -     0x7fff943c0fff  libGFXShared.dylib (??? - ???) <DE6987C5-81AC-3AE6-84F0-138C9636D412> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff943d7000 -     0x7fff943defff  libCGXCoreImage.A.dylib (600.0.0 - compatibility 64.0.0) <40374018-2832-3144-8114-CED417321C76> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
    0x7fff943df000 -     0x7fff944a6ff7  com.apple.ColorSync (4.7.0 - 4.7.0) <A29897D7-4B63-3BBB-B66C-710BE9CC01D8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff944eb000 -     0x7fff944f2fff  com.apple.NetFS (4.0 - 4.0) <B9F41443-679A-31AD-B0EB-36557DAF782B> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff944f3000 -     0x7fff94546fff  libFontRegistry.dylib (??? - ???) <8FE14D77-1286-3619-A02E-0AC1A622596E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff9455e000 -     0x7fff9466bfff  libJP2.dylib (??? - ???) <D8257CEE-A1C3-394A-8193-6DB7C29A15A8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff9466c000 -     0x7fff9467bfff  libxar.1.dylib (??? - ???) <58B07AA0-BC12-36E3-94FC-C252719A1BDF> /usr/lib/libxar.1.dylib
    0x7fff9467c000 -     0x7fff94682fff  libmacho.dylib (800.0.0 - compatibility 1.0.0) <D86F63EC-D2BD-32E0-8955-08B5EAFAD2CC> /usr/lib/system/libmacho.dylib
    0x7fff946a5000 -     0x7fff946d2fe7  libSystem.B.dylib (159.0.0 - compatibility 1.0.0) <7B4D685D-939C-3ABE-8780-77A1889E0DE9> /usr/lib/libSystem.B.dylib
    0x7fff94720000 -     0x7fff94736ff7  com.apple.ImageCapture (7.0 - 7.0) <69E6E2E1-777E-332E-8BCF-4F0611517DD0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff9476d000 -     0x7fff94b9afff  libLAPACK.dylib (??? - ???) <4F2E1055-2207-340B-BB45-E4F16171EE0D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff94b9b000 -     0x7fff94bc8fff  com.apple.quartzfilters (1.7.0 - 1.7.0) <ED846829-EBF1-3E2F-9EA6-D8743E5A4784> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
    0x7fff94c23000 -     0x7fff95207faf  libBLAS.dylib (??? - ???) <D62D6A48-5C7A-3ED6-875D-AA3C2C5BF791> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff95208000 -     0x7fff9520dfff  libGIF.dylib (??? - ???) <21851808-BFD2-3141-8354-A419479726BF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff9520e000 -     0x7fff9530cff7  com.apple.QuickLookUIFramework (3.0 - 489.1) <A8A82434-D43D-3F12-9321-B2E8EC9B4B8E> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
    0x7fff9530d000 -     0x7fff9530efff  libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <718A135F-6349-354A-85D5-430B128EFD57> /usr/lib/system/libdnsinfo.dylib
    0x7fff9530f000 -     0x7fff95394ff7  com.apple.Heimdal (2.1 - 2.0) <E4CD970F-8DE8-31E4-9FC0-BDC97EB924D5> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff95395000 -     0x7fff953aafff  com.apple.speech.synthesis.framework (4.0.74 - 4.0.74) <C061ECBB-7061-3A43-8A18-90633F943295> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff953b4000 -     0x7fff95b48fff  com.apple.CoreAUC (6.11.03 - 6.11.03) <5A56B2DC-A0A6-357B-ADF2-5714AFEBD926> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff95b49000 -     0x7fff95ca2ff7  com.apple.audio.toolbox.AudioToolbox (1.7 - 1.7) <296F10D0-A871-39C1-B8B2-9200AB12B5AF> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff95d76000 -     0x7fff95d7cfff  IOSurface (??? - ???) <06FA3FDD-E6D5-391F-B60D-E98B169DAB1B> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff95d7d000 -     0x7fff95e5afef  libsystem_c.dylib (763.11.0 - compatibility 1.0.0) <1D61CA57-3C6D-30F7-89CB-CC6F0787B1DC> /usr/lib/system/libsystem_c.dylib
    0x7fff95e5b000 -     0x7fff95e94fe7  libssl.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <D634E4B6-672F-3F68-8B6F-C5028151A5B4> /usr/lib/libssl.0.9.8.dylib
    0x7fff95e95000 -     0x7fff95ea7ff7  libsasl2.2.dylib (3.15.0 - compatibility 3.0.0) <6245B497-784B-355C-98EF-2DC6B45BF05C> /usr/lib/libsasl2.2.dylib
    0x7fff95ea8000 -     0x7fff95eb6ff7  libkxld.dylib (??? - ???) <65BE345D-6618-3D1A-9E2B-255E629646AA> /usr/lib/system/libkxld.dylib
    0x7fff95f16000 -     0x7fff95f33fff  com.apple.frameworks.preferencepanes (15.0 - 15.0) <CC86755A-6CF1-3DDF-A1B0-6F7F5BD7BB39> /System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes
    0x7fff95f34000 -     0x7fff96039ff7  libFontParser.dylib (??? - ???) <22AADE96-E54D-3918-9DFA-1967F8B21E54> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 119
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 17355
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=219.5M resident=112.1M(51%) swapped_out_or_unallocated=107.3M(49%)
Writable regions: Total=1.2G written=26.8M(2%) resident=58.8M(5%) swapped_out=68K(0%) unallocated=1.1G(95%)
 
REGION TYPE                        VIRTUAL
===========                        =======
ATS (font support)                   32.0M
ATS (font support) (reserved)           8K        reserved VM address space (unallocated)
CG backing stores                    1980K
CG image                              732K
CG raster data                        496K
CG shared images                     2392K
CoreGraphics                           16K
CoreImage                             132K
CoreServices                         2104K
IOKit                                4568K
JS JIT generated code               128.0M
JS JIT generated code (reserved)    896.0M        reserved VM address space (unallocated)
JS VM register file                  4160K
JS garbage collector                 2704K
MALLOC                               59.0M
MALLOC guard page                      48K
Memory tag=240                          4K
Memory tag=242                         12K
Memory tag=251                         28K
OpenCL                                  8K
SQLite page cache                     576K
STACK GUARD                          56.0M
Stack                                10.6M
VM_ALLOCATE                          16.4M
WebCore purgeable data                168K
__CI_BITMAP                            80K
__DATA                               46.4M
__IMAGE                              1256K
__LINKEDIT                           53.6M
__TEXT                              165.9M
__UNICODE                             544K
mapped file                          70.7M
shared memory                        18.3M
===========                        =======
TOTAL                                 1.5G
TOTAL, minus reserved VM space      678.4M

comment:89 Changed 8 years ago by robotive

Evan, i have a few, occurred after the supposed fix, on 1.5hg

http://cl.ly/3O3w3i2X282m0z3P0g2k

comment:90 Changed 8 years ago by evands

Thanks. Any reliable or semireliable way to reproduce at this point?

comment:91 Changed 8 years ago by evands

  • Resolution fixed deleted
  • Status changed from closed to new

comment:92 Changed 8 years ago by Slash

This usually happens (but not always) after waking up from sleep. I usually have Twitter Timeline and 2/3 MSN contacts openned, one of them is a imgroups.net group.

comment:93 Changed 8 years ago by robotive

To me it usually happened after Adium wasn't used for a lot of time, usually after waking up from sleep, and trying to switch tabs in the message view. I'll try to reproduce it now, but it happens much less then before your fixes.

comment:94 Changed 8 years ago by Slash

I totally second robotive's comment.. it's just like that :D

Last edited 8 years ago by Slash (previous) (diff)

comment:95 Changed 8 years ago by evands

Do you have group chats (potentially including the Twitter timeline) open when switching tabs? Could you pay attention to whether a group chat was about to become active? I think the switching tabs connection only makes sense if the tab-becoming-active has a user list.

comment:96 follow-up: Changed 8 years ago by robotive

Just wanted to mention Twitter, i think it's somehow related to the twitter view. i also have only group chats, mainly irc channels, and the twitter timeline. Also, it may happen less often if you hide twitters' user list.

comment:97 in reply to: ↑ 96 Changed 8 years ago by evands

Replying to robotive:

Also, it may happen less often if you hide twitters' user list.

So if you have the list Twitter users enabled in the contact list (via the account preferences) it happens more often?

comment:98 Changed 8 years ago by robotive

Not sure. i was referring to the user list in the message view, not in the contact list. i'll test this.

comment:99 Changed 8 years ago by Slash

I don't have the Twitter users enabled, neither user list on the message view (didn't this was possible :P)

comment:100 Changed 8 years ago by robotive

i have 2 more crash logs that might help, and i forgot to add them, this two a latest.
http://cl.ly/0w3Y0m2W2b1a3n2M0e28

comment:101 Changed 8 years ago by evands

OK, cool. Thanks for the logs, all.

If you come up with specific steps that reliably reproduce it, that'd be a great addition. If you could turn on debug logging with save to disk enabled and post the log (or email it to me if you don't want it public) of a crash, that might be potentially helpful, too. I don't think any further crash logs are going to add more information at this time.

comment:102 Changed 8 years ago by boredzo

Or email the debug log to the feedback address.

comment:103 Changed 8 years ago by Evan Schoenberg

(In 333c3a8b9b13) I have a theory that this may be the solution to the remaining AIProxyListObject crash issue; if the userlist is hidden, as it is by default in the Twitter timeline, then items in the list could previously deallocate without us calling reloadData. The list might try to access its data even if it's not visible if it's is calculating frame heights - and all the recent crashes are in:

com.apple.AppKit              	0x9185c751 -[NSTableView _minimumFrameSize] + 72
com.apple.AppKit              	0x91866cfc -[NSTableView tile] + 252
com.apple.AppKit              	0x9189dd4e -[NSTableView viewWillDraw] + 75
com.apple.AppKit              	0x9189d862 -[NSView viewWillDraw] + 621

Refs #14294. Please report if you can reproduce the crash after this commit.

comment:104 Changed 8 years ago by robotive

Hi Evan,

i've tried to reproduce this crash with no success yet, even after a long period of sleep, Adium works fine. (btw without this latest patch).
i'll try with it also, but i have a feeling that even if this is still present, it'll occur much less then before, as a few weeks ago, i was having this issue on a daily basis, and now it didn't happened for a few days already.

comment:105 Changed 8 years ago by robotive

not sure this is related:

http://cl.ly/2F3f232q3G2S2L3b0r0P

comment:106 Changed 8 years ago by sphynx

I just had a very similar one with tip:

http://pastebin.com/YphTn6Jk

comment:107 Changed 8 years ago by sphynx

Tried again, now enabled logging to file. These seem to be the relevant last lines:

12:54:50: adiumPurpleConvWriteConv: Received bittin` [<I>~bittin@...</I>] entered the room. from #iterm2 [16388]
12:54:50: -[CBPurpleAccount updateUserListForChat:users:newlyAdded:]: <AIChat: 0x10a22e9a0>:#iterm2.11 join <AIListContact:8b25950 IRC.bittin`>
12:54:50: +[AIProxyListObject proxyListObjectForListObject:inListObject:]: <AIListContact:9a841e0 IRC.bittin`> was leaked! Meh.
12:54:51: adiumPurpleConvWriteConv: Received bittin` [<I>~bittin@...</I>] entered the room. from #adium [16388]
12:54:51: -[CBPurpleAccount updateUserListForChat:users:newlyAdded:]: <AIChat: 0x1099462a0>:#adium.2 join <AIListContact:8b25950 IRC.bittin`>
12:54:51: +[AIProxyListObject proxyListObjectForListObject:inListObject:]: <AIListContact:9a841e0 IRC.bittin`> was leaked! Meh.
12:54:51: adiumPurpleConvWriteConv: Received bittin` [<I>~bittin@...</I>] entered the room. from #adium-devl [16388]
12:54:51: -[CBPurpleAccount updateUserListForChat:users:newlyAdded:]: <AIChat: 0x109ac36c0>:#adium-devl.3 join <AIListContact:8b25950 IRC.bittin`>
12:54:51: +[AIProxyListObject proxyListObjectForListObject:inListObject:]: <AIListContact:9a841e0 IRC.bittin`> was leaked! Meh.
12:54:51: adiumPurpleConvWriteConv: Received bittin` left the room (quit: Changing host). from #adium [16388]
12:54:51: adiumPurpleConvWriteConv: Received bittin` left the room (quit: Changing host). from #adium-devl [16388]
12:54:51: adiumPurpleConvWriteConv: Received bittin` left the room (quit: Changing host). from #iterm2 [16388]
12:54:51: -[AIContactObserverManager endListObjectNotificationsDelaysImmediately]: 
12:54:51: adiumPurpleConvWriteConv: Received bittin` [<I>~bittin@unaffiliated/bittin</I>] entered the room. from #adium-devl [16388]
12:54:51: -[CBPurpleAccount updateUserListForChat:users:newlyAdded:]: <AIChat: 0x109ac36c0>:#adium-devl.3 join <AIListContact:a631370 IRC.bittin`>

Changed 8 years ago by kbotc

If the list is hidden, stop all updating.

comment:108 Changed 8 years ago by evands

  1. The remaining crash (comment 106) is because of the logging statement; in non-debug mode, it wouldn't have crashed. There is a memory stomper somewhere, or somehow AIListContacts are being deallocated without their dealloc method being called. Mysterious. I've reproduced once myself, connecting and disconnecting while rapidly showing and hiding the contact list.
  2. I don't think that dontLoadHiddenLists.diff is a correct solution. Do you have steps which reproduce a crash without the patch but don't with it?
    1. The data source should not care if the view is hidden
    2. This move would require toggling isHidden to trigger a reloadData (which wouldn't be a terrible thing in-and-of-itself but isn't per documentation)
    3. What is "overaggressive caching" and how does returning 0 here fix it? I believe that the problem is that reloadData isn't being called between (a) the AIProxyListObject deallocating and (b) the dataSource being queried, leading to an invalid item being passed in the delegate callback method. Returning 0 here, in a method that is queried just after a reloadData call, won't fix that.
Last edited 8 years ago by evands (previous) (diff)

comment:109 Changed 8 years ago by Slash

I've got the exact same crash as comment 106... basically it is the same, waking up from sleep but now it crashed right away.

comment:110 Changed 8 years ago by kbotc

I can answer 1: It's not that the objects are being removed without deallocating, it's just that at AIProxyListObject.m:71, we set the listObject variable without letting the listObject know that we're following it. That'll lead to a zombie eventually when the new listObject goes away without informing the AIProxyObject. If we go ahead and run [ESObjectWithProperties noteProxyObject:nil]; That'll lead to an issue later on too, when the original listObject releases and takes the proxy object that's now pointing at a different AIListObject with it leaving us with a broken cache.

It's really easy to trigger this issue: Join #adium, then join #adium-devl, disconnect the account, then re-join. If you have a breakpoint set at AIProxyListObject.m:69, it'll go absolutely insane then.

2... Eh, you're probably right. I was just trying to force hidden lists to flush their cache and not reload when they're hidden.

comment:111 Changed 8 years ago by evands

Oh! That's so true. Excellent observation. The crash happens the third time through with a leaking contact - the first time is normal, the second time detects a leak, and the third time actually crashes as it tries to reference the previously weak-referenced listObject.

comment:112 Changed 8 years ago by evands

The solution (short of fixing the leak of the ESObjectWithProperties object) there is that we simply should discard that AIProxyListObject entirely and create a new one.

comment:113 Changed 8 years ago by Evan Schoenberg

  • Resolution set to fixed
  • Status changed from new to closed

(In 7c3822c44c0f) Don't attempt to reuse the AIProxyListObject associated with a leaked ESObjectWithProperties; discard further use of it, clear its cache, and make a new one. Fixes #14294. Thanks to kbotc for the solution.

Changed 8 years ago by kbotc

I'm not 100% if this is the correct way to do this (Setting isOpen to FALSE), but this will correct the big ESObjectWithProperties leak I've been seeing).

Changed 8 years ago by kbotc

A better solution. If there is less than or equal to 1 chat left for the listObject, go ahead and destroy it. (We were never removing AIListObjects when they were in chats because they were considered contained by the closing chat when we were supposed to be deallocating them, thus leading to a leak)

comment:114 Changed 8 years ago by Robert Vehse

(In 1fb2992a10d6) Patch by kbotc: "A better solution. If there is less than or equal to 1 chat left for the listObject, go ahead and destroy it. (We were never removing AIListObjects when they were in chats because they were considered contained by the closing chat when we were supposed to be deallocating them, thus leading to a leak)" Refs #14294.

Add kbotc to our list of developers. He should fix his commit access!

comment:115 follow-up: Changed 8 years ago by evands

kbotc, are you sure that's right? Note that

                [adium.chatController chat:self removedListContact:contact]; 

and

        [chat removeObject:contact]; 

are called before the modified check. It won't include the calling chat in the count.

comment:116 in reply to: ↑ 115 Changed 8 years ago by kbotc

Replying to evands:

kbotc, are you sure that's right? Note that

                [adium.chatController chat:self removedListContact:contact]; 

and

        [chat removeObject:contact]; 

are called before the modified check. It won't include the calling chat in the count.

I'm absolutely certain.

[adium.chatController chat:self removedListContact:contact] shouldn't release the object. All it will do is generate the CONTENT_CONTACT_LEFT_CHAT event (All display side).

[chat removeObject:contact] will fail because of the [AIChatController allGroupChatsContainingContact:contact] check. If you follow the execution, it uses this code:

for (AIChat *chat in openChats) {
   if (chat.isGroupChat && [chat containsObject:inContact]) {
      [groupChats addObject:chat];
   }
}

return groupChats;

Since the tab is still open, we don't want to remove it from the openChats NSSet. The deallocating chat will still contain the object, and it is (obviously) a group chat. This means that it's going to fail the if check, leading to [AIContactController accountDidStopTrackingContact:contact] never being called. If that's not called the object is never removed from the global contactDict; Thus: the leak.

Last edited 8 years ago by kbotc (previous) (diff)

comment:117 Changed 8 years ago by kbotc

IMHO, a better solution would be to add an "isActive" or "isConnected" IVar on the AIChat so we could exclude closing chats in the allGroupChatsContainingContact and allChatsContainingContact, but that extends the public API and introduces fragile class issues, so I avoided that for now.

comment:118 Changed 8 years ago by evands

I specifically was looking at -[AIChat removeObject:] as having a wrong change, though I quoted the wrong line.

There, [participatingContacts removeObject:inObject]; is called. When -[AIChatController allGroupChatsContainingContact:] is called, [chat containsObject:inContact] returns FALSE because -[AIChat containsObject:]` is implemented as:

- (BOOL)containsObject:(AIListObject *)inObject
{
	return [participatingContacts containsObjectIdenticalTo:inObject];
}

and the object is already removed from participatingContacts. So the check should be against 0, not <= 1.

Similarly, for -[AIChat removeAllParticipatingContactsSilently] when the chat tab is closed, debug logging demonstrates that [adium.chatController allGroupChatsContainingContact:listContact.parentContact].count does return 0. Here's leaving a chat (#evands-test) by closing the tab when it had 2 members of the group chat:

19:19:00: [<AIChat: 0x1104e98c0>:#evands-test.2 dealloc]
19:19:00: -[AIChat removeAllParticipatingContactsSilently]: listContact.isStranger=1; [adium.chatController existingChatWithContact:listContact.parentContact]=(null); [adium.chatController allGroupChatsContainingContact:listContact.parentContact].count=0
19:19:00: -[AIChat removeAllParticipatingContactsSilently]: listContact.isStranger=0; [adium.chatController existingChatWithContact:listContact.parentContact]=(null); [adium.chatController allGroupChatsContainingContact:listContact.parentContact].count=0

However, you're right that if the account is disconnecting rather than the tab being closed by the user, the chat counts:

19:21:32: <ESIRCAccount:0x102e74110 325>:evands-test: Telling the core we disconnected
19:21:32: -[AIChat removeAllParticipatingContactsSilently]: listContact.isStranger=1; [adium.chatController existingChatWithContact:listContact.parentContact]=(null); [adium.chatController allGroupChatsContainingContact:listContact.parentContact].count=1
19:21:32: -[AIChat removeAllParticipatingContactsSilently]: listContact.isStranger=1; [adium.chatController existingChatWithContact:listContact.parentContact]=(null); [adium.chatController allGroupChatsContainingContact:listContact.parentContact].count=1

So there's a true leak there... but changing it to just check <= 1 will cause errorful behavior if the same contact is in 2 group chats and one of them is closed by the user. The contact would then have accountDidStopTrackingContact: called prematurely.

comment:119 Changed 8 years ago by Robby

I filed #15473. Might it be related to the most recent patch by kbotc here?

comment:120 Changed 8 years ago by Robert Vehse

(In a5515b4ca464) Patch by kbotc: "Undo 1fb2992a10d6 and stll don't leak. Refs #14294."

comment:121 Changed 8 years ago by kbotc

Ticket #14907 has been marked as a duplicate of this ticket.

comment:122 Changed 8 years ago by mathuaerknedam

Ticket #15024 has been marked as a duplicate of this ticket.

Note: See TracTickets for help on using tickets.